<?php
$pageTitle = 'Demo - ';
$pageTitle .= (QApplication::$ActionName == 'add') ? 'Tambah' : 'Ubah';

$dataYaml = System::ParseYaml(dirname(__FILE__).'/form.yml');
$tables = $dataYaml['table'];

foreach($tables as $objTable=>$table)
{
    if(QApplication::$ActionName == 'add')
    {
        eval('$'.$objTable.'= new '.$table.'();');
    }
    else
    {
        eval('$'.$objTable.'= '.$table.'::Load(\''.QApplication::PathInfo(0).'\');');
    }

}

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

$counter = 1;

//    exit;
?>

<div class="row animated fadeInRight">
    <div class="col-md-12">
        <div class="box">
            <div class="box-body with-border">
                <form id="formPage" method="post" action="<?= QApplication::UrlActionCreator('DemoControl/General/?pageId=')?><?=$strPageId?>">
                    <div class="form-horizontal">

                        <?php
                        $fields = $dataYaml['input'];
                        foreach($fields as $id=>$objField) {
                            $objName = $objField['object'];
                            $fieldName = $objField['field'];
                            eval('$default = $'.$objName.'->'.$fieldName.';');
                            switch($objField['type'])
                            {
                                case 'option':
                                    echo System::genSelect(
                                        $objField['options'],
                                        'index='.$counter++,
                                        'label='.$objField['label'],
                                        'id='.$id,
                                        'placeholder='.$objField['placeholder'],
                                        'default='.$default,
                                        'labelWidth=3',
                                        'inputWidth='.(isset($objField['size']) ? $objField['size'] : 8),
                                        'required='.(isset($objField['required']) ? $objField['required'] : false)
                                    );
                                    break;

                                case 'number':
                                    echo System::genInput(
                                        'moreClass=angka',
                                        'moreStyle=height:24px;',
                                        'index='.$counter++,
                                        'label='.$objField['label'],
                                        'id='.$id,
                                        'placeholder='.$objField['placeholder'],
                                        'default='.$default,
                                        'labelWidth=3',
                                        'inputWidth='.(isset($objField['size']) ? $objField['size'] : 8),
                                        'required='.(isset($objField['required']) ? $objField['required'] : false)
                                    );
                                    break;

                                case 'calendar':
                                    $default = $default ? $default->PhpDate('d-m-Y') : null;
                                    echo System::genInput(
                                        'moreClass=input-date',
                                        'index='.$counter++,
                                        'label='.$objField['label'],
                                        'id='.$id,
                                        'placeholder='.$objField['placeholder'],
                                        'default='.$default,
                                        'labelWidth=3',
                                        'inputWidth='.(isset($objField['size']) ? $objField['size'] : 8),
                                        'required='.(isset($objField['required']) ? $objField['required'] : false)
                                    );
                                    break;

                                default:
                                    echo System::genInput(
                                        'index='.$counter++,
                                        'label='.$objField['label'],
                                        'id='.$id,
                                        'placeholder='.$objField['placeholder'],
                                        'default='.$default,
                                        'labelWidth=3',
                                        'inputWidth='.(isset($objField['size']) ? $objField['size'] : 8),
                                        'required='.(isset($objField['required']) ? $objField['required'] : false)
                                    );
                                    break;
                            }
                        }

                        ?>

                        <div class="form-group">
                            <label class="col-xs-3">&nbsp;</label>
                            <div class="col-xs-6">
                                    <input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
                                    <input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
                                    <input type="hidden" id="reqAjax" name="reqAjax" value="yes">
                                    <input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
                                    <input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">
                                    <input type="hidden" id="id" name="id" value="<?= $demo->Id ?>">
                                    <div class="formControl">
                                        <input tabindex="<?= $counter++ ?>" type="submit" name="submit" id="submit" class="btn btn-primary input" value="Simpan">
                                        <?php if(QApplication::$ActionName == 'add'): ?>
                                        <button href="#" tabindex="<?= $counter++ ?>" id="simpan2" param="reload" class="btn btn-primary input btnSimpan">Simpan & Isi Lagi</button>
                                        <?php endif; ?>
                                        <button type="button" href="<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>" target="content" class="btn btn-default" >Kembali</button>
                                    </div>
                                    <div style="display: none;" class="progress active">
                                        <div class="progress-bar progress-bar-primary progress-bar-striped" role="progressbar"></div>
                                    </div>
                            </div>
                            <div class="col-xs-2 right">
                                <?php if(QApplication::$ActionName == 'edit'): ?>
                                    <button href="#" class="btn btn-danger" target-function="hapus('<?= $demo->Id ?>')" notification="Konfirmasi hapus data ?"> Hapus</button>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<?php
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>

<script src="<?= __ASSETS__ ?>/user/js/startup.js"></script>
<script type="text/javascript">

    $(document).ready(function(){
        $('[tabindex=1]').focus();
    });

    var mode = null;

    /*
     $(document).off('click','.btnSimpan').on('click','.btnSimpan',function(){
         mode = $(this).attr('param');
         $('#formPage').submit();
     });
     */

    if( typeof blLoadSubmit == 'undefined' ) {
        var blLoadSubmit = true;

        $(document).off('click','.btnSimpan').on('click','.btnSimpan',function(){
            mode = $(this).attr('param');
            $('#formPage').submit();
        });

    }

    function pageValidation()
    {
        var blReturn = true;
        return blReturn;
    }

    function preAction()
    {
        hideControl('formPage');
    }

    function successAction(response)
    {
        if(response.status == 'success')
        {
            toastr[response.status](response.message,'Informasi');
            if(mode == 'normal'){
                setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list') ?>','content');
            }
            else
            {
                $('#formPage')[0].reset();
                $('select').trigger("chosen:updated");
            }
        }
        else
        {
            var first = response.status.substr(0,1).toUpperCase();
            var last = response.status.substr(1).toLowerCase();
            toastr[response.type](response.message,first+last);
        }
    }

    function completeAction()
    {
        showControl('formPage');
        $('[tabindex=1]').focus();
    }

    function hapus(id)
    {
        var formId = $('#formId').val();
        var formTime = $('#formTime').val();
        var request = $.post('<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/DemoControl/Delete',{'pageId' : sessionStorage.pageId,'formId' : formId,'formTime' : formTime,'id' : id});

        request.done(function(response){
            if(response.status == 'success')
            {
                toastr[response.status]('Hapus demo berhasil','Informasi');
                setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list') ?>','content');
            }
            else
            {
                var first = response.status.substr(0,1).toUpperCase();
                var last = response.status.substr(1).toLowerCase();
                toastr[response.type](response.message,first+last);
            }
        });

        request.fail(function() {
            toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
        });

    }
</script>