<?php
$pageTitle = 'Pembayaran Kasir & Laporan Penerimaan';
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

$strStartBank = SystemEnvironmentVariable::GetEnv(null,null,null,'StartBank');
$strStopBank = SystemEnvironmentVariable::GetEnv(null,null,null,'StopBank');
if (!$strStartBank) {
    $_POST['StartBank'] = $strStartBank = '07:00';
    $_POST['StopBank'] = $strStopBank = '14:00';
    SystemEnvironmentVariable::SaveEnv(null,null,null, 'StartBank');
    SystemEnvironmentVariable::SaveEnv(null,null,null, 'StopBank');
}

function toTimeInt($strTime) {
    $arr = explode(':', $strTime);
    if (count($arr) >= 2) {
        return $arr[0] * 3600 + $arr[1] * 60;
    }
    return -1;
}

$skg = toTimeInt(date('H:i'));
?>
<style>
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }
</style>
<script>
    var strBillingValidationId = null;
    var strTotalTagihan = null;
    var strTagihanAkhir = null;
    var strTagihanSelisihKelas = null;
    var strDiscount = null;
    var strRetur = null;
    var strPatientNursingId = null;
    var strPaymentActivityId = null;
    var strId = null;
    var strNursingCategory = null;
</script>
<div class="col-xs-12">
    <div class="input-group row col-xs-12 animated fadeInRight" >
        <div class="col-md-8">
            <input name="search_medical_record" id="search_medical_record" type="text" class="form-control" placeholder="Pencarian Penderita" autocomplete="off" tabindex="0" value="" >
        </div>
        <div class="col-md-4">
            <button type="button" class="btn btn-warning btn-sm pull-right" style="margin-left: 15px" id="refreshtombol" >Refresh</button>
            <div id="rangeWaktu" class="pull-right" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc">
                <i class="glyphicon glyphicon-calendar fa fa-calendar"></i>
                <span></span> <b class="caret"></b>
            </div>
        </div>
    </div>
	<div class="input-group col-xs-12 " >
		<style>
			table.dataTable thead tr {
				background-color: azure;
			}
			table.dataTable tbody th, table.dataTable tbody td {
				padding: 4px 6px; /* e.g. change 8x to 4px here */
				height: 15px;
			}
		</style>
		<div class="row">
			<div class="table-responsive col-md-12">
				<table id="search_result_pre_document_service" class="table table-striped table-bordered table-responsive dataTable" style="width:100%">
				</table>
			</div>
		</div>
	</div>
</div>

<div id="billing_detail" class="modal fade" role="dialog">
    <div class="modal-dialog" style="top: 25px; width: 1000px; border-radius: 5px; border: 3px solid #00a7d0;">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Rincian Tagihan</h4>
            </div>
            <div class="modal-body-search" style="max-height: 480px; overflow-y: scroll;">
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table id="billing_detail_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
                        <tfoot></tfoot>
                    </table>
                </div>
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                        <tr>
                            <td class="td" style="width: 400px;">Total Tagihan</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="total_tagihan" id="total_tagihan" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                        <tr class="discount">
                            <td class="td" style="width: 400px;">Discount</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="discount" id="discount" style="text-align: right;" value="0" readonly="">
                            </td>
                        </tr>
                        <tr class="retur">
                            <td class="td" style="width: 400px;">Retur</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="retur" id="retur" style="text-align: right;" value="0" readonly="">
                            </td>
                        </tr>
                        <tr class="selisih-kelas">
                            <td class="td" style="width: 400px;">Tagihan Selisih Kelas</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="tagihan_selisih_kelas" id="tagihan_selisih_kelas" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                        <tr>
                            <td class="td" style="width: 400px;">Total Tagihan Akhir</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="tagihan_akhir" id="tagihan_akhir" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-warning btn-sm" id="cetak-ulang" style="display: none;">Cetak Ulang</button>
                <button type="button" class="btn btn-danger btn-sm" id="validasi" >Bayar</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" tabindex="299">Close</button>
            </div>
        </div>
    </div>
</div>

<div id="billing_summary" class="modal fade" role="dialog">
    <div class="modal-dialog" style="top: 25px; width: 1000px; border-radius: 5px; border: 3px solid #00a7d0;">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Rekap Tagihan</h4>
            </div>
            <div class="modal-body-search" style="max-height: 480px; overflow-y: scroll;">
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table id="billing_summary_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
                        <tfoot></tfoot>
                    </table>
                </div>
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                        <tr>
                            <td class="td" style="width: 400px;">Total Tagihan</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="summary_tagihan" id="summary_tagihan" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-warning" id="cetakrekap" tabindex="300">Cetak</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" tabindex="299">Close</button>
            </div>
        </div>
    </div>
</div>


<div id="template" style="display: none;">
    <div id="template-btn-group" class="btn-group">
        <button type="button" class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Pilih Aksi <span class="caret"></span>
        </button>
        <ul class="dropdown-menu">

        </ul>
    </div>
</div>


<?php
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
$start = QDateTime::Now();
?>

<script type="text/javascript">
    var isTablePatientNursingBillingDetailAvalilable = false;
    var isTablePatientNursingBillingSummaryAvalilable = false;

    $(document).ready(function() {
        $('#refreshtombol').on('click', function(){reload()});
        var startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        $('#rangeWaktu span').html(startRange);

        $('#billing_detail').on('shown.bs.modal', function () {

            if (strTotalTagihan) $('#total_tagihan').val(strTotalTagihan);
            if (strTagihanAkhir) $('#tagihan_akhir').val(strTagihanAkhir);
            if (strTagihanSelisihKelas) {
                $('#tagihan_selisih_kelas').val(strTagihanSelisihKelas);
                $('.selisih-kelas').show();
            }else
                $('.selisih-kelas').hide();

            if (strDiscount) {
                $('#discount').val(strDiscount);
                $('.discount').show();
            }else
                $('.discount').hide();

            if (strRetur) {
                $('#retur').val(strRetur);
                $('.retur').show();
            }else
                $('.retur').hide();

            if(isTablePatientNursingBillingDetailAvalilable){
                $('#billing_detail_list').DataTable().search('').draw();
                return false;
            }
            isTablePatientNursingBillingDetailAvalilable = true;
            var selectedIndex = 0;
            var tablePatientNursingBillingDetail = $('#billing_detail_list').DataTable({
                "header": true
                ,"language": {
                    "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
                }
                , "processing": true
                , "serverSide": true
                , "paging": false
                , "info": true
                , "autoWidth": false
                , "pageResize": true
                , "scrollX": false
                , "scrollY": false
                , select: true
                , keys: true
                , "lengthChange": false
                , "ajax": {
                    'url' :'<?= QApplication::UrlActionCreator('PatientNursingBilling/BillingDetail') ?>'
                    , 'type' : 'POST'
                    , 'data': function(d) {
                        d.pageId = strPageId;
                        d.billing_validation_id = strBillingValidationId;
                    }
                }
                , 'order': [[1,'asc']]
                , "columns": [
                    {
                        'title': 'No'
                        , 'data': 'No'
                        , 'width': '20px'
                        , 'searchable': true
                        // , 'sortable': true
                        , 'className': "uniqueClassTextAlignRight"
                    }
                    , {
                        'title': 'Tarif Tindakan / Obat'
                        , 'data': 'ProductName'
                        , 'width': '150'
                        , 'searchable': true
                        // , 'sortable': true
                    }
                    , {
                        'title': 'Tarif '
                        , 'data': 'CurrentBilling'
                        , 'width': '150'
                        , 'searchable': true
                        // , 'sortable': true
                        , 'className': "uniqueClassTextAlignRight"
                        , 'render': function (data, type, full, meta) {
                            return full.IsPaid ? '<i class="fa fa-check" style="color: green;"></i> ' + data : data;
                        }
                    }
                ]
            } );
            $(".dataTables_wrapper .row").hide();

            tablePatientNursingBillingDetail.on( 'draw.dt', function () {
                $(".dataTables_wrapper .row").hide();
                $('.dataTables_scrollBody').css({"overflow": "hidden"});
            } );
        });
        $('#billing_detail').on('hidden.bs.modal', function () {

        });

        $('#billing_summary').on('shown.bs.modal', function () {

            if(isTablePatientNursingBillingSummaryAvalilable){
                $('#billing_summary_list').DataTable().search('').draw();
                return false;
            }
            isTablePatientNursingBillingSummaryAvalilable = true;
            var selectedIndex = 0;
            var tablePatientNursingBillingSummary = $('#billing_summary_list').DataTable({
                "header": true
                ,"language": {
                    "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
                }
                , "processing": true
                , "serverSide": true
                , "paging": true
                , "info": true
                , "autoWidth": false
                , "pageResize": true
                , "scrollX": false
                // , "sScrollX" : "110%"
                , "scrollY": false
                , select: true
                , keys: true
                , "lengthChange": true
                , "ajax": {
                    'url' :'<?= QApplication::UrlActionCreator('PatientNursingBilling/RekapTagihan') ?>'
                    , 'type' : 'POST'
                    , 'data': function(d) {
                        d.pageId = strPageId;
                        d.payment_kediri_id = strId;
                    }
                }
                , 'order': [[0,'asc']]
                , "columns": [
                    {
                        'title': '#'
                        , 'data': 'No'
                        , 'width': '30px'
                        , 'searchable': false
                        , 'render': function (data, type, full, meta) {
                            return full.Parent ? '<b>' + data + '</b>' : '';
                        }
                    }
                    , {
                        'title': 'Item'
                        , 'data': 'BillingGroupName'
                        , 'width': '90%'
                        , 'searchable': false
                        , 'render': function (data, type, full, meta) {
                            return full.Parent ? '<b>' + data + '</b>' : ' - ' + data;
                        }
                    }
                    , {
                        'title': 'Total'
                        , 'data': 'TotalBilling'
                        , 'width': '10%'
                        , 'searchable': true
                        , 'className': "uniqueClassTextAlignRight"
                        , 'render': function (data, type, full, meta) {
                            console.log('Row: ', full);
                            var r = rupiah(data);
                            return full.Parent ? '<b>' + r + '</b>' : r;
                        }
                    }
                ]
            } );
            $(".dataTables_wrapper .row").hide();

            tablePatientNursingBillingSummary.on( 'draw.dt', function () {
                $(".dataTables_wrapper .row").hide();
                $('.dataTables_scrollBody').css({"overflow": "hidden"});

                // Conditional Sum
                var total = tablePatientNursingBillingSummary.rows().data().filter(function(d) {return d.Parent;}).pluck('TotalBilling').sum();
                $('#summary_tagihan').val(rupiah(total));
                //$('#summary_tagihan').val( tablePatientNursingBillingSummary.column( 2 ).data().sum().toLocaleString('id-ID') );
            } );
        });

        $('#billing_summary').on('hidden.bs.modal', function () {

        });

        function confirmKasirBayar() {
            var formId = '<?= $formId ?>'; var formTime = '<?= $formTime?>';
            var request = $.post('<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/PatientNursingBilling/BayarKasirKediri' , { 'pageId' : sessionStorage.pageId , 'formId' : formId , 'formTime' : formTime, 'sendId' : strBillingValidationId});
            request.done(function(response){
                if(response.status == 'success')
                {
                    var first = response.status.substr(0,1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message,first+last);
                    $("#billing_detail").modal("hide");
                    console.log('Nursing Category: ' + strNursingCategory + ' --> ' + (strNursingCategory != '1' ? 'RINCIAN' : 'DETAIL'))
                    if (strNursingCategory != '1')
                        rincianPasien(response.activityId);
                    else
                        cetakTagihan(response.activityId);
                    //reload();
                }
                else
                {
                    var first = response.status.substr(0,1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message,first+last);
                }
            });
            request.fail(function() {
                toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
            });

            jQuery.fallr('hide',function(){});
        }

        function confirmKasirBayarCancel() {
            jQuery.fallr('hide',function(){});
            $('#billing_detail').modal('hide');
        }

        function cetakTagihan(activityId) {
            var strOption = 'page=<?= __PAGE__?>&activity_id=' + activityId;
            printPreview('invoice','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/print/') ?>',strOption);
            reload();
        }

        function rincianPasien(activityId) {
            var strOption = 'page=<?= __PAGE__?>&payment_activity_id=' + activityId + '&&patient_nursing_id=' + strPatientNursingId;
            printPreview('invoice','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/pasien-print/') ?>',strOption);
            reload();
        }

        $('#validasi').off('click').on('click',function(){
            jFallr("Mohon konfirmasi pembayaran<br>Benar [Ya/Tidak]?", confirmKasirBayar, confirmKasirBayarCancel);
        });

        $('#cetak-ulang').off('click').on('click',function(){
            cetakTagihan(strPaymentActivityId);
            $('#billing_detail').modal('hide');
        });

        // alert('<?= QApplication::UrlActionCreator('DemoControl/TableSource') ?>'+'/?'+'pageId='+strPageId);
        $("#search_medical_record").on("keypress", function (e) {
            // mencegah post
            if (e.keyCode == vk_RETURN) {
                e.preventDefault();
            }
        });
        $("#search_medical_record").on("input", function (e) {
            // mencegah post
            e.preventDefault();
            $('#search_result_pre_document_service').DataTable().search($(this).val()).draw();
            //$('#search_result_post_document_service').DataTable().search($(this).val()).draw();
        });

        $('#rangeWaktu').daterangepicker({
            format: 'DD/MM/YYYY',
            dateLimit: {days: 60},
            showDropdowns: true,
            showWeekNumbers: true,
            timePicker: false,
            timePickerIncrement: 1,
            timePicker12Hour: true,
            ranges: {
                'Hari ini': [moment(), moment()],
                'Kemarin': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                '7 Hari terakhir': [moment().subtract(6, 'days'), moment()],
                '30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
                'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
                'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            },
            opens: 'left',
            drops: 'down',
            buttonClasses: ['btn', 'btn-sm'],
            applyClass: 'btn-primary',
            cancelClass: 'btn-default',
            separator: ' to ',
            locale: {
                applyLabel: 'Submit',
                cancelLabel: 'Cancel',
                fromLabel: 'From',
                toLabel: 'To',
                customRangeLabel: 'Custom',
                daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm', 'Sb'],
                monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
                firstDay: 1
            }
        }, function (start, end, label) {
            var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
            $('#rangeWaktu span').html(newRange)
            reload();
        });

        var tablePre = $('#search_result_pre_document_service').DataTable({
            "dom": 't<"row"<"col-sm-5"i><"col-sm-7"p>>'
            , "header": true
            , "language": {
                "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">',
                "search": "<span>Cari:</span> ",
                "info": "Menampilkan <span>_START_</span> - <span>_END_</span> dari <span>_TOTAL_</span> entri",
                "lengthMenu": "<span>Tampilkan:</span> _MENU_",
                "zeroRecords": "Tidak ada data yang ditemukan"
            }
            , "processing": true
            , "serverSide": true
            , "paging": true
            , "info": true
            , "lengthChange": false
            //, "lengthMenu": [[10, 25, 50, 100 /* , -1 */], [10, 25, 50, 100 /* , "All" */]]
            , 'lengthMenu': [50]
            , "autoWidth": true
            , "autoHeight": true
            , "pageResize": true
            , "pagingType": "full_numbers"
            //, "sScrollX" : "100%"
            //, "sScrollY" : "100"
            //, "select": false
            //, "keys": true
            , "destroy": true
            , "order": [[6, 'desc']]
            , "ajax": {
                'url': '<?= QApplication::UrlActionCreator('PatientNursingBilling/BillingValidateListNew') ?>',
                'type': 'POST',
                'data': function (d) {
                    d.pageId = strPageId;
                    //d.section = 'preService';
                    d.range = $('#rangeWaktu span').html();
                    d.cash = 'tunai';
                }
            }
            , "columns": [
                {
                    'title': 'Waktu'
                    , 'data': 'CreateTime'
                    , 'width': '200px'
                    , 'visible': false
                    , 'searchable': false
                    , 'sortable': true
                }
                , {
                    'title':'No.RM'
                    , 'data':'Mr'
                    , 'width':'60px'
                    , 'searchable':true
                    , 'sortable':true
                }
                , {
                    'title': 'Nama'
                    , 'data': 'FirstName'
                    , 'width': '20%'
                    , 'searchable': true
                    , 'sortable': true
                }
                , {
                    'title': 'Poli / Ruangan'
                    , 'data': 'DepartmentName'
                    , 'width': '20%'
                    , 'searchable': true
                    , 'sortable': true
                }
                , {
                    'title': 'Cara Bayar'
                    , 'data': 'ContractServiceName'
                    , 'width': '10%'
                    , 'searchable': false
                    , 'sortable': true
                }
                , {
                    'title': 'Belum Dibayar'
                    , 'data': 'TagihanAkhirMask'
                    , 'width': '15%'
                    , 'searchable': false
                    , 'sortable': true
                    , 'className': "uniqueClassTextAlignRight"
                    , 'render': function (data, type, full, meta) {
                        if (full.IsValid == 0)
                            return '';
                        return data;
                    }
                }
                , {
                    'title': 'Preview'
                    , 'data': 'Id'
                    , 'width': '14%'
                    , 'orderable': true
                    , 'searchable': false
                    , 'render': function (data, type, full, meta) {
                        if(full.PaymentNonCash || full.PaymentCashier || full.PaymentBank){
                            return "Sudah dibayar";
                        }

                        if (full.IsValid == 0)
                            return '<span class="label label-danger">VALIDASI DIBATALKAN</span>';

                        var teks = '<button class="btn btn-sm btn-success btnSummary" data-id1="'+full.Id+'" data-id2="'+full.PatientNursingId+'">Ringkas</button> ' +
                            '<button class="btn btn-sm btn-primary btnPreview" id="'+data+'">Detail</button>';
                        return teks;
                    }
                }
                , {
                    'title': 'pilihan'
                    , 'data': 'Id'
                    , 'width': '10%'
                    , 'orderable': false
                    , 'searchable': false
                    , 'render': function (data, type, full, meta) {
                        if(full.TagihanAkhir > 0){
                            return "";
                        }
                        if(full.PaymentNonCash || full.PaymentCashier || full.PaymentBank){
                            var tpl = $('#template-btn-group').clone();
                            if (tpl.length == 0) return '';
                            //tpl.find('button').html('Aksi <span class="caret"></span>');
                            var menu = tpl.find('ul.dropdown-menu');
                            menu.empty();
                            menu.append('<li><a data-id="'+data+'" href="#" class="btnSummary" id="'+full.Id+'" data-id="'+full.PatientNursingId+'">Rincian Kasir</a></li>')
                                .append('<li><a data-id="'+data+'" href="#" class="btnPreviewDetail">Detail</a></li>')
                                .append('<li><a data-id="'+data+'" href="#" class="btnPatient">Rincian Pasien</a></li>')
                                .append('<li><a data-patientnursingid="'+full.PatientNursingId+'" class="ringkasanObat">Ringkasan Obat</a></li>')
                                .append('<li><a data-id="'+data+'" href="#" class="btnKuitansiPatient">Kuitansi</a></li>')
                                .append('<li><a data-id="'+data+'" href="#" class="btnKuitansiPatientRekap">Kuitansi Rekap</a></li>')
                                .append('<li role="separator" class="divider"></li>');
                                // .append('<li><a data-id="'+data+'" href="#" class="btnBatal" style="color: red">Refund</a></li>');
                            return tpl[0].outerHTML;
                            return teks;
                        }
                        return '<div style="width: 100%; height: 100%; background-color: red"> --- </div>';
                    }
                }
            ]
            , rowCallback: function(row,data){
                    if ( data.TagihanAkhir == 0 && (data.PaymentNonCash || data.PaymentCashier || data.PaymentBank) ) {
                        $(row).css("background-color", "#aaffaa");
                    }
                    if(data.TagihanAkhir > 0 && (data.PaymentNonCash || data.PaymentCashier || data.PaymentBank) ){
                        $(row).css("display", "none");
                    }
                }
        });

        //$(".dataTables_wrapper .row").hide();

        function openDetailBilling()
        {
            $("#billing_detail").modal({ backdrop: "static", keyboard: false});
        }

        function openSummaryBilling()
        {
            $("#billing_summary").modal({ backdrop: "static", keyboard: false});
        }

        $(document).off('click', '.btnPreview').on('click', '.btnPreview', function () {
            var data = tablePre.row( $(this).parents('tr') ).data();
            console.log('Pilih Data:', data);
            strPatientNursingId = data.PatientNursingId;
            strBillingValidationId = data.Id;
            strTotalTagihan = data.BillingCurrent;
            strTagihanAkhir = data.TagihanAkhir;
            strTagihanSelisihKelas = data.TagihanSelisihKelas;
            strDiscount = data.Discount;
            strRetur = data.Retur;
            strPaymentActivityId = data.PaymentActivityId;
            strNursingCategory = data.NursingCategory;

            openDetailBilling();
        });

        $(document).off('click', '.btnPreviewDetail').on('click', '.btnPreviewDetail', function () {
            var data = tablePre.row( $(this).parents('tr') ).data();
            console.log('Pilih Data:', data);
            strBillingValidationId = data.Id;
            strTotalTagihan = data.BillingCurrent;
            strTagihanAkhir = data.TagihanAkhir;
            strTagihanSelisihKelas = data.TagihanSelisihKelas;
            strDiscount = data.Discount;
            strRetur = data.Retur;
            strPaymentActivityId = data.PaymentActivityId;

            //openDetailBilling();
            cetakTagihan(strPaymentActivityId);
        });

        $(document).off('click', '.btnPatient').on('click', '.btnPatient',function(){
            var data = tablePre.row( $(this).parents('tr') ).data();
            strPatientNursingId = data.PatientNursingId;
            strPaymentActivityId = data.PaymentActivityId;
            //openSummaryBilling();
            var strOption = 'page=<?= __PAGE__?>&payment_activity_id=' + strPaymentActivityId + '&patient_nursing_id=' + strPatientNursingId;
            printPreview('rekappasien','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/pasien-print/') ?>',strOption);
        });

        $(document).off('click', '.btnKuitansiPatient').on('click', '.btnKuitansiPatient',function(){
            var data = tablePre.row( $(this).parents('tr') ).data();
            strPatientNursingId = data.PatientNursingId;
            strPaymentActivityId = data.PaymentActivityId;
            //openSummaryBilling();
            var strOption = 'page=<?= __PAGE__?>&payment_activity_id=' + strPaymentActivityId + '&patient_nursing_id=' + strPatientNursingId;
            printPreview('rekappasien','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/kuitansi-print/') ?>',strOption);
        });

        $(document).off('click', '.btnKuitansiPatientRekap').on('click', '.btnKuitansiPatientRekap',function(){
            var data = tablePre.row( $(this).parents('tr') ).data();
            strPatientNursingId = data.PatientNursingId;
            strPaymentActivityId = data.PaymentActivityId;
            strId = data.Id;
            //openSummaryBilling();
            var strOption = 'page=<?= __PAGE__?>&patient_nursing_id=' + strPatientNursingId + '&Id=' + strId;
            printPreview('rekaptagihan','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/kuitansi-rekap-print/') ?>',strOption);
        });

        $(document).off('click', '.ringkasanObat').on('click', '.ringkasanObat', function () {
            var patientNursingId =  $(this).data('patientnursingid');
            
                console.log("kirim");
                console.log($(this).data());
                var url = '<?= QApplication::UrlCreator('report-penjualan-depo/ringkasan-perpasien')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&patientNursingId='+patientNursingId;
                openInNewTab(url);
            
        });
        function openInNewTab(url) {
            var win = window.open(url, '_blank');
            win.focus();
        }


        $(document).off('click', '.btnSummary').on('click', '.btnSummary',function(){
            var data = tablePre.row( $(this).parents('tr') ).data();
            strId = data.Id;
            strPatientNursingId = data.PatientNursingId;

            //openSummaryBilling();

            var strOption = 'page=<?= __PAGE__?>&patient_nursing_id=' + strPatientNursingId + '&Id=' + strId;
            printPreview('rekaptagihan','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/rekap-print/') ?>',strOption);
        });

        $(document).off('click', '.btnKirim').on('click', '.btnKirim', function () {
            var formTime = '<?= $formTime?>';
            var formId = '<?= $formId ?>';
            var sendId = $(this).attr('id');

            var request = $.post('<?= QApplication::UrlCreator('control/' . base64_encode(QApplication::$ModulName . '/' . QApplication::$ActionName))?>/PatientNursingBilling/BayarKasirKediri', {
                'pageId': sessionStorage.pageId,
                'formId': formId,
                'formTime': formTime,
                'sendId': strBillingValidationId
            });

            request.done(function (response) {
                if (response.status == 'success') {
                    var first = response.status.substr(0, 1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message, first + last);
                    reload();
                }
                else {
                    var first = response.status.substr(0, 1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message, first + last);
                }
            });
            request.fail(function () {
                toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
            });

        });

        $(document).off('click', '#cetakrekap').on('click', '#cetakrekap', function () {
            var strOption = 'page=<?= __PAGE__?>&patient_nursing_id=' + strPatientNursingId + '&Id=' + strId;
            printPreview('rekaptagihan','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/rekap-print/') ?>',strOption);
        });

        function reload()
        {
            tablePre.ajax.reload();
        }
    });
</script>
