<div class="row" style="width:100%">
<div class="col-md-1">
</div>

<?php
// $pageTitle = 'Form laporan Jasa Pelayanan IGD';
require(__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');
$objContractService = HmisRefContractService::LoadAll(QQ::OrderBy(QQN::HmisRefContractService()->SortField));
$arrContractService = array();
foreach($objContractService as $item) {
    $arrContractService[$item->Id] = array('Name' => $item->Name, 'Code' => $item->Code);
}
?>

<div class="col-md-10">
    <!-- general form elements -->
    <div class="box box-primary" style="margin-top:15px">
        <div class="box-header with-border">
            <h3 class="box-title">LAPORAN RINCIAN PENERIMAAN</h3>
        </div>
        <!-- /.box-header -->
        <!-- form start -->
        <form role="form">
            <div class="box-body">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row">
                            <div class="col-sm-3">
                                Tanggal
                            </div>
                            <div class="col-sm-8">
                                <div id="rangeWaktu" class="pull-left" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; margin-left: 10px;">
                                    <i class="glyphicon glyphicon-calendar fa fa-calendar"></i>
                                    <span></span> <b class="caret"></b>
                                </div>
                            </div>
                        </div>
                    </div>
		<!--
		    <div class="col-sm-6">
                        <div class="row">
                            <div class="col-sm-4">
                                Jenis Perawatan
                            </div>
                            <div class="col-sm-8">
                                <select id="nursingCategory" class="form-control">
                                    <option value="">SEMUA</option>
                                    <option value="3">RAWAT INAP</option>
                                    <option value="2">RAWAT DARURAT</option>
                                    <option value="1">RAWAT JALAN</option>
                                </select>
                            </div>
                        </div>
                    </div>
		    <div class="col-md-6">
                        <div class="row"><br>
                            <div class="col-sm-3">
                                Cara Bayar
                            </div>
                            <div class="col-sm-8">
                                <select name="view_main_contract_service" id="view_main_contract_service" class="form-control resetable chosen-simple" style="min-width: 100%">
                                </select>
                            </div>
                        </div>
                    </div>

                   <div class="col-sm-6">
                        <div class="row">
                            <div class="col-sm-2">
                                NOKA
                            </div>
                            <div class="col-sm-10">
                                <input type="text" id="noka" class="form-control" placeholder="NOKA" style="width:203px; margin-left:10px">
                            </div>
                        </div>
                    </div> -->
                </div>

            </div>
            <!-- /.box-body -->

            <div class="box-footer">
                <button type="submit" class="btn-aksi btn btn-primary">Lihat</button>
                <button type="submit" data-tipe="excel" class="btn-aksi btn btn-success">Excel</button>
            </div>
        </form>
    </div>
</div>


<div class="col-md-1">
</div>
</div>

<script>
$(document).ready(function() {
    var startRange = '<?= date('d.m.Y') ?> - <?= date('d.m.Y') ?>';
    $('#rangeWaktu span').html(startRange);
    
    var ContractService = <?= json_encode($arrContractService) ?>;
    var selectContractService = $('#view_main_contract_service');
    selectContractService.empty().append('<option value="">-- Semua Cara Bayar --</option>');
    for (var k in ContractService) {
        selectContractService.append('<option value="'+k+'">'+ContractService[k].Name+'</option>');
    }
    selectContractService.trigger('chosen:updated');
    selectContractService.on('change', function(e) {
        var teks = $('option:selected', this).text();
        // buka RAWAT INAP WAJIB ISI
        if (teks.indexOf('JAMKESDA') >= 0 && _group != 'RAJAL-IGD') {
            jamsos.openJAMKESDA();
        } else if (teks.indexOf('KOTA') >= 0) {
            //jamsos.openJAMKESDA();
        } else if (teks.indexOf('BPJS') >= 0) {
            //jamsos.openBPJS();
        }
    });

    $(function() {
        $('#rangeWaktu').daterangepicker({
            format: 'DD/MM/YYYY',
            dateLimit: { days: 60 },
            showDropdowns: true,
            showWeekNumbers: true,
            timePicker: false,
            timePickerIncrement: 1,
            timePicker12Hour: true,
            ranges: {
            'Hari ini': [moment(), moment()],
            'Kemarin': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            '7 Hari terakhir': [moment().subtract(6, 'days'), moment()],
            '30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
            'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
            'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        opens: 'left',
        drops: 'down',
        buttonClasses: ['btn', 'btn-sm'],
        applyClass: 'btn-primary',
        cancelClass: 'btn-default',
        separator: ' to ',
        locale: {
            applyLabel: 'Submit',
            cancelLabel: 'Cancel',
            fromLabel: 'From',
            toLabel: 'To',
            customRangeLabel: 'Custom',
            daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm','Sb'],
            monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
            firstDay: 1
        }
        }, 
        function(start, end, label) {
            var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
                $('#rangeWaktu span').html(newRange);
                // alert( 'new range - ' + newRange );
        });
    }); 
});
$(document).off('click', '.btn-aksi').on('click', '.btn-aksi', function () {
    console.log($('#view_main_contract_service').val()+'##'+strPageId+'##'+$('#rangeWaktu span').html());
    var contract_service = $('#view_main_contract_service').val();
    var rangeWaktu = $('#rangeWaktu span').html();
    var jenis = $('#jenis').val();
    var noka = $('#noka').val();
    var nursingCategory = $('#nursingCategory').val();
    var excel = "";
    console.log($(this).data('tipe'));
    if($(this).data('tipe') == 'excel'){
        excel = '&excel=excel';
    }
    if(validasi())
    {
        console.log("kirim");
        var url = '<?= QApplication::UrlCreator('hmis-patient-payment-cashier/rekap-rincian-penerimaan')?>?pageid='+strPageId+'&range='+rangeWaktu + excel;
        openInNewTab(url);
    }
});

function validasi() {
    if(! $('#rangeWaktu span').html()){
        jNotification('Belum mengisi tanggal',function(){ $("#rangeWaktu").focus()});
        return false ;
    }
    return true;
    if(!$("#view_main_contract_service").val() ){
        jNotification('Belum memilih cara bayar',function(){ $("#view_main_contract_service").focus()});
        return false ;
    }

    return true;
}

function openInNewTab(url) {
    var win = window.open(url, '_blank');
    win.focus();
}
</script>
