<?php
$pageTitle = 'Pembayaran Kasir Tunai';
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

$strStartBank = SystemEnvironmentVariable::GetEnv(null,null,null,'StartBank');
$strStopBank = SystemEnvironmentVariable::GetEnv(null,null,null,'StopBank');
if (!$strStartBank) {
    $_POST['StartBank'] = $strStartBank = '07:00';
    $_POST['StopBank'] = $strStopBank = '14:00';
    SystemEnvironmentVariable::SaveEnv(null,null,null, 'StartBank');
    SystemEnvironmentVariable::SaveEnv(null,null,null, 'StopBank');
}

function toTimeInt($strTime) {
    $arr = explode(':', $strTime);
    if (count($arr) >= 2) {
        return $arr[0] * 3600 + $arr[1] * 60;
    }
    return -1;
}

$skg = toTimeInt(date('H:i'));
?>
<style>
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }
</style>
<script>
    var strBillingValidationId = null;
    var strTotalTagihan = null;
    var strTagihanAkhir = null;
    var strTagihanSelisihKelas = null;
    var strDiscount = null;
    var strRetur = null;
    var strPatientNursingId = null;
    var strPaymentActivityId = null;
    var strId = null;
    var strNursingCategory = null;
</script>
<div class="col-xs-11">
    <div class="input-group row col-xs-12 animated fadeInRight" >
        <div class="col-md-8">
            <input name="search_medical_record" id="search_medical_record" type="text" class="form-control" placeholder="Pencarian Penderita" autocomplete="off" tabindex="0" value="" >
        </div>
        <div class="col-md-4">
            <button type="button" class="btn btn-warning btn-sm pull-right" style="margin-left: 15px" id="refreshtombol" >Refresh</button>
            <div id="rangeWaktu" class="pull-right" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc">
                <i class="glyphicon glyphicon-calendar fa fa-calendar"></i>
                <span></span> <b class="caret"></b>
            </div>
        </div>
    </div>
	<div class="input-group col-xs-12 " >
	</div>
    <style>
        table.dataTable thead tr {
            background-color: azure;
        }
        table.dataTable tbody th, table.dataTable tbody td {
            padding: 4px 6px; /* e.g. change 8x to 4px here */
            height: 15px;
        }
    </style>
    <div class="row">
        <div class="table-responsive col-md-12">
            <table id="search_result_pre_document_service" class="table table-striped table-bordered table-responsive dataTable" style="width:100%">
            </table>
        </div>
    </div>
</div>

<div id="billing_detail" class="modal fade" role="dialog">
    <div class="modal-dialog" style="top: 25px; width: 870px; border-radius: 5px; border: 3px solid #00a7d0;">
        <div class="modal-content" style="min-height: 500px;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Rincian Tagihan</h4>
            </div>
            <div class="modal-body-search" style="max-height: 480px; overflow-y: scroll;">
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table id="billing_detail_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
                        <tfoot></tfoot>
                    </table>
                </div>
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                        <tr>
                            <td class="td" style="width: 400px;">Total Tagihan</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="total_tagihan" id="total_tagihan" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                        <tr class="discount">
                            <td class="td" style="width: 400px;">Discount</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="discount" id="discount" style="text-align: right;" value="0" readonly="">
                            </td>
                        </tr>
                        <tr class="retur">
                            <td class="td" style="width: 400px;">Retur</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="retur" id="retur" style="text-align: right;" value="0" readonly="">
                            </td>
                        </tr>
                        <tr class="selisih-kelas">
                            <td class="td" style="width: 400px;">Tagihan Selisih Kelas</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="tagihan_selisih_kelas" id="tagihan_selisih_kelas" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                        <tr>
                            <td class="td" style="width: 400px;">Total Tagihan Akhir</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="tagihan_akhir" id="tagihan_akhir" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-warning btn-sm" id="cetak-ulang" style="display: none;">Cetak Ulang</button>
                <button type="button" class="btn btn-danger btn-sm" id="validasi" >Bayar</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" tabindex="299" style="margin-right: 40px;">Close</button>
            </div>
        </div>
    </div>
</div>

<div id="billing_summary" class="modal fade" role="dialog">
    <div class="modal-dialog" style="top: 25px; width: 1000px; border-radius: 5px; border: 3px solid #00a7d0;">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Rekap Tagihan</h4>
            </div>
            <div class="modal-body-search" style="max-height: 480px; overflow-y: scroll;">
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table id="billing_summary_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
                        <tfoot></tfoot>
                    </table>
                </div>
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                        <tr>
                            <td class="td" style="width: 400px;">Total Tagihan</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="summary_tagihan" id="summary_tagihan" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-warning" id="cetakrekap" tabindex="300">Cetak</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" tabindex="299">Close</button>
            </div>
        </div>
    </div>
</div>

<?php
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
$start = QDateTime::Now();
?>

<script type="text/javascript">

    var isTablePatientNursingBillingDetailAvalilable = false;
    var isTablePatientNursingBillingSummaryAvalilable = false;

    var tablePre = null ; tableInit = false ; __ajax_busy__ = false; var searchKeyword = '' ;

    var activityIdCetakUlang = "";

    $(document).ready(function() {

        var startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        $('#rangeWaktu span').html(startRange);


        // $('#refreshtombol').on('click', function(){reload()});
        $('#refreshtombol').on('click', function(){ /* reload() */ intTickCounterMedicalRecordService = 4; });


        $('#billing_detail').on('shown.bs.modal', function () {

            if (strTotalTagihan) $('#total_tagihan').val(strTagihanAkhir);
            if (strTagihanAkhir) $('#tagihan_akhir').val(strTagihanAkhir);
            if (strTagihanAkhir && strDiscount){
                // $('#tagihan_akhir').val(parseInt(strTagihanAkhir) - parseInt(strDiscount));
                $('#tagihan_akhir').val(parseInt(strTagihanAkhir)); //jejak jejak
            }
            if (strTagihanSelisihKelas) {
                $('#tagihan_selisih_kelas').val(strTagihanSelisihKelas);
                $('.selisih-kelas').show();
            } else {
                $('.selisih-kelas').hide();
            }

            if (strDiscount) {
                $('#discount').val(strDiscount);
                $('.discount').show();
            } else {
                $('.discount').hide();
            }

            if (strRetur) {
                $('#retur').val(strRetur);
                $('.retur').show();
            } else {
                $('.retur').hide();
            }

            if(isTablePatientNursingBillingDetailAvalilable){
                $('#billing_detail_list').DataTable().search('').draw();
                return false;
            }
            isTablePatientNursingBillingDetailAvalilable = true;

            var selectedIndex = 0;
            var tablePatientNursingBillingDetail = $('#billing_detail_list').DataTable({
                "header": true
                ,"language": {
                    "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
                }
                , "processing": true
                , "serverSide": true
                , "paging": false
                , "info": true
                , "autoWidth": false
                , "pageResize": true
                , "scrollX": false
                , "scrollY": false
                , select: true
                , keys: true
                , "lengthChange": false
                , "ajax": {
                    'url' :'<?= QApplication::UrlActionCreator('PatientNursingBilling/BillingDetailValidasiKasir') ?>'
                    , 'type' : 'POST'
                    , 'data': function(d) {
                        d.pageId = strPageId;
                        d.billing_validation_id = strBillingValidationId;
                    }
                }
                , 'order': [[1,'asc']]
                , "columns": [
                    {
                        "data": "Id"
                        , "title": "No"
                        , 'width': '5%'
                        , "className": "uniqueClassTextAlignRight"
                        , "searchable": false
                        , "sortable": false
                        , "render": function (data, type, row, meta) {
                        if(data=="empty") { return '' ; }
                            return meta.row + meta.settings._iDisplayStart + 1;
                        }
                    }
                    , {
                        'title': 'Tarif Tindakan / Obat'
                        , 'data': 'ProductName'
                        , 'width': '50%'
                        , 'searchable': true
                        // , 'sortable': true
                    }
                    , {
                        'title': 'Asal Tagihan'
                        , 'data': 'Jenis'
                        , 'width': '20%'
                        , 'searchable': false
                    }
                    , {
                        'title': 'Tarif '
                        , 'data': 'CurrentBilling'
                        , 'width': '20%'
                        , 'searchable': true
                        // , 'sortable': true
                        , 'className': "uniqueClassTextAlignRight"
                        , 'render': function (data, type, full, meta) {
                            return full.IsPaid ? '<i class="fa fa-check" style="color: green;"></i> ' + data : data;
                        }
                    }
                ]
            } );
            $(".dataTables_wrapper .row").hide();

            tablePatientNursingBillingDetail.on( 'draw.dt', function () {
                $(".dataTables_wrapper .row").hide();
                $('.dataTables_scrollBody').css({"overflow": "hidden"});
            } );
        });
        $('#billing_detail').on('hidden.bs.modal', function () {

        });

        $('#billing_summary').on('shown.bs.modal', function () {

            if(isTablePatientNursingBillingSummaryAvalilable){
                $('#billing_summary_list').DataTable().search('').draw();
                return false;
            }
            isTablePatientNursingBillingSummaryAvalilable = true;
            var selectedIndex = 0;
            var tablePatientNursingBillingSummary = $('#billing_summary_list').DataTable({
                "header": true
                ,"language": {
                    "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
                }
                , "processing": true
                , "serverSide": true
                , "paging": true
                , "info": true
                , "autoWidth": false
                , "pageResize": true
                , "scrollX": false
                // , "sScrollX" : "110%"
                , "scrollY": false
                , select: true
                , keys: true
                , "lengthChange": true
                , "ajax": {
                    'url' :'<?= QApplication::UrlActionCreator('PatientNursingBilling/RekapTagihan') ?>'
                    , 'type' : 'POST'
                    , 'data': function(d) {
                        d.pageId = strPageId;
                        d.payment_kediri_id = strId;
                    }
                }
                , 'order': [[0,'asc']]
                , "columns": [
                    {
                        'title': '#'
                        , 'data': 'No'
                        , 'width': '30px'
                        , 'searchable': false
                        , 'render': function (data, type, full, meta) {
                            return full.Parent ? '<b>' + data + '</b>' : '';
                        }
                    }
                    , {
                        'title': 'Item'
                        , 'data': 'BillingGroupName'
                        , 'width': '90%'
                        , 'searchable': false
                        , 'render': function (data, type, full, meta) {
                            return full.Parent ? '<b>' + data + '</b>' : ' - ' + data;
                        }
                    }
                    , {
                        'title': 'Total'
                        , 'data': 'TotalBilling'
                        , 'width': '10%'
                        , 'searchable': true
                        , 'className': "uniqueClassTextAlignRight"
                        , 'render': function (data, type, full, meta) {
                            console.log('Row: ', full);
                            var r = rupiah(data);
                            return full.Parent ? '<b>' + r + '</b>' : r;
                        }
                    }
                ]
            } );
            $(".dataTables_wrapper .row").hide();

            tablePatientNursingBillingSummary.on( 'draw.dt', function () {
                $(".dataTables_wrapper .row").hide();
                $('.dataTables_scrollBody').css({"overflow": "hidden"});

                // Conditional Sum
                var total = tablePatientNursingBillingSummary.rows().data().filter(function(d) {return d.Parent;}).pluck('TotalBilling').sum();
                $('#summary_tagihan').val(rupiah(total));
                //$('#summary_tagihan').val( tablePatientNursingBillingSummary.column( 2 ).data().sum().toLocaleString('id-ID') );
            } );
        });

        $('#billing_summary').on('hidden.bs.modal', function () {

        });

        function confirmKasirBayar() {
            var formId = '<?= $formId ?>'; var formTime = '<?= $formTime?>';
            var request = $.post('<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/PatientNursingBilling/BayarKasirKediri' , { 'pageId' : sessionStorage.pageId , 'formId' : formId , 'formTime' : formTime, 'sendId' : strBillingValidationId});
            request.done(function(response){
                if(response.status == 'success')
                {
                    var first = response.status.substr(0,1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message,first+last);
                    // $("#billing_detail").modal("hide");
                    console.log('Nursing Category: ' + strNursingCategory + ' --> ' + (strNursingCategory != '1' ? 'RINCIAN' : 'DETAIL'))
                    // if(strNursingCategory == '1'){
                    //     cetakTagihan(response.activityId);
                    // }else{
                    //     rincianPasien(response.activityId);
                    // }
                    cetakTagihanPasienClaim(response.activityId);
                    activityIdCetakUlang = response.activityId;
                    $('#cetak-ulang').show();
                }
                else
                {
                    var first = response.status.substr(0,1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message,first+last);
                }
            });
            request.fail(function() {
                toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
            });

            jQuery.fallr('hide',function(){});
        }

        function confirmKasirBayarCancel() {
            jQuery.fallr('hide',function(){});
            $('#billing_detail').modal('hide');
        }

        function cetakTagihan(activityId) {
            var strOption = 'page=<?= __PAGE__?>&activity_id=' + activityId;
            printPreview('invoice','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/print/') ?>',strOption);
            reload();
        }

        function rincianPasien(activityId) {
            var strOption = 'page=<?= __PAGE__?>&payment_activity_id=' + activityId + '&&patient_nursing_id=' + strPatientNursingId;
            // printPreview('invoice','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/pasien-print/') ?>',strOption);
            printPreview('invoice','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/pasien-print-revisi/') ?>',strOption);
            reload();
        }

        function cetakTagihanPasienClaim(activityId){
            var strOption = 'page=<?= __PAGE__?>&activity_id='+activityId;
            printPreview('rekappasien','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/print-tagihan-pasien-claim/') ?>',strOption);   
            reload();
        }

        $('#validasi').off('click').on('click',function(){
            jFallr("Mohon konfirmasi pembayaran<br>Benar [Ya/Tidak]?", confirmKasirBayar, confirmKasirBayarCancel);
        });

        $('#cetak-ulang').off('click').on('click',function(){
            var strOption = 'page=<?= __PAGE__?>&activity_id='+activityIdCetakUlang;
            printPreview('rekappasien','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/print-tagihan-pasien-claim/') ?>',strOption);   
        });

        // alert('<?= QApplication::UrlActionCreator('DemoControl/TableSource') ?>'+'/?'+'pageId='+strPageId);

        $("#search_medical_record").on("keypress", function (e) {
            // mencegah post
            searchKeyword = $("#search_medical_record").val();
            console.log('#search_medical_record>keypress');
            if (e.keyCode == vk_RETURN) {
                if(__ajax_busy__){ // bila masih sibuk tunda 2000 ms
                    intTickCounterMedicalRecordService = 4;
                    return false;
                }
                intTickCounterMedicalRecordService = 4;
                // reload();
                return true;
            }
        });
        $("#search_medical_record").on("input", function (e) {
            // mencegah post
            //e.preventDefault();
            //$('#document-list').DataTable().search($(this).val()).draw();
            //$('#search_result_post_document_service').DataTable().search($(this).val()).draw();
            //reload();
            searchKeyword = $("#search_medical_record").val();
            console.log('#search_medical_record>input');
            intTickCounterMedicalRecordService = 4;
        });

        var rangeDate = '' ; var rangeDateInfo = '';
        if(sessionStorage.adm_nursing_start_date_kasir){
            if( sessionStorage.adm_nursing_start_date_kasir == sessionStorage.adm_nursing_end_date_rad ) {
                sessionStorage.adm_nursing_start_date_kasir = sessionStorage.adm_nursing_end_date_rad = '<?= $start->PhpDate('d.m.Y') ?>';
                rangeDate = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
            } else {
                rangeDate = sessionStorage.adm_nursing_start_date_kasir + ' - ' +  sessionStorage.adm_nursing_end_date_rad ;
            }
            rangeDateInfo = sessionStorage.adm_nursing_info ;
        } else {
            sessionStorage.adm_nursing_start_date_kasir = sessionStorage.adm_nursing_end_date_rad = '<?= $start->PhpDate('d.m.Y') ?>';
            rangeDate = moment().format('DD.MM.YYYY') + ' - ' + moment().format('DD.MM.YYYY');;
            rangeDateInfo = 'Hari ini' + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' ;
            sessionStorage.adm_nursing_info = rangeDateInfo ;
        }
        $('#rangeWaktu span').html(rangeDateInfo);

        $('#rangeWaktu').daterangepicker({
            format: 'DD/MM/YYYY',
            dateLimit: {days: 60},
            showDropdowns: true,
            showWeekNumbers: true,
            timePicker: false,
            timePickerIncrement: 1,
            timePicker12Hour: true,
            ranges: {
                'Filter Tanggal': [moment().add(2, 'days'), moment().add(2, 'days')],
                'Semua Kunjungan': [moment().add(1, 'days'), moment().add(1, 'days')],
                'Hari ini': [moment(), moment()],
                'Kemarin': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                '2 Hari terakhir': [moment().subtract(1, 'days'), moment()],
                '7 Hari terakhir': [moment().subtract(6, 'days'), moment()],
                '30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
                'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
                'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            },
            opens: 'left',
            drops: 'down',
            buttonClasses: ['btn', 'btn-sm'],
            applyClass: 'btn-primary',
            cancelClass: 'btn-default',
            separator: ' to ',
            locale: {
                applyLabel: 'Submit',
                cancelLabel: 'Cancel',
                fromLabel: 'From',
                toLabel: 'To',
                customRangeLabel: 'Custom',
                daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm', 'Sb'],
                monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
                firstDay: 1
            }
        }, function (start, end, label) {
            // var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
            // $('#rangeWaktu span').html(newRange)
            // reload();
            sessionStorage.adm_nursing_start_date_kasir = start.format('DD.MM.YYYY') ; sessionStorage.adm_nursing_end_date_kasir = end.format('DD.MM.YYYY');
            var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
            sessionStorage.adm_nursing_info = newRange ;
            $('#rangeWaktu span').html(newRange);
            if ( label == 'Filter Tanggal' ) {
                sessionStorage.adm_nursing_info = 'Semua Kunjungan'; 
                $('#rangeWaktu span').html( sessionStorage.adm_nursing_info + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' );
                sessionStorage.adm_nursing_start_date_kasir = moment().add(2, 'days');
                sessionStorage.adm_nursing_end_date_kasir = moment().add(2, 'days');
                newRange = moment().add(1, 'days').format('DD.MM.YYYY') + ' - ' + moment().add(1, 'days').format('DD.MM.YYYY');
                sessionStorage.adm_nursing_info = sessionStorage.adm_nursing_info ;
            }
            if ( label == 'Semua Kunjungan' ) {
                sessionStorage.adm_nursing_info = label; 
                $('#rangeWaktu span').html( label + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' );
            }
            rangeDateInfo = sessionStorage.adm_nursing_info ;
            rangeDate = newRange;
            reload();

            $('#content').scrollTop();
        });

        tablePre = $('#search_result_pre_document_service').DataTable({
            "dom": 't<"row"<"col-sm-5"i><"col-sm-7"p>>'
            , "header": true
            , "language": {
                "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">',
                "search": "<span>Cari:</span> ",
                "info": "Menampilkan <span>_START_</span> - <span>_END_</span> dari <span>_TOTAL_</span> entri",
                "lengthMenu": "<span>Tampilkan:</span> _MENU_",
                "zeroRecords": "Tidak ada data yang ditemukan"
            }
            , "processing": true
            , "serverSide": true
            , "paging": true
            , "info": true
            , "lengthChange": false
            //, "lengthMenu": [[10, 25, 50, 100 /* , -1 */], [10, 25, 50, 100 /* , "All" */]]
            , 'lengthMenu': [50]
            , "autoWidth": true
            , "autoHeight": true
            , "pageResize": true
            , "pagingType": "full_numbers"
            //, "sScrollX" : "100%"
            //, "sScrollY" : "100"
            //, "select": false
            //, "keys": true
            , "destroy": true
            , "order": [[1, 'desc']]
            , "ajax": {
                'url': '<?= QApplication::UrlActionCreator('PatientNursingBilling/BillingValidateList') ?>',
                'type': 'POST',
                'data': function (d) {
                    d.pageId = strPageId;
                    //d.section = 'preService';
                    d.range = $('#rangeWaktu span').html();
                    d.cash = 'tunai';
                }
            }
            , "columns": [
                {
                    'title': 'Waktu'
                    , 'data': 'CreateTime'
                    , 'width': '200px'
                    , 'visible': false
                    , 'searchable': false
                    , 'sortable': true
                }
                , {
                    'title':'No.RM'
                    , 'data':'Mr'
                    , 'width':'2%'
                    , 'searchable':true
                    , 'sortable':true
                }
                , {
                    'title': 'Nama'
                    , 'data': 'FirstName'
                    , 'width': '20%'
                    , 'searchable': true
                    , 'sortable': true
                }
                , {
                    'title': 'Poli / Ruangan'
                    , 'data': 'DepartmentName'
                    , 'width': '20%'
                    , 'searchable': true
                    , 'sortable': true
                }

                , {
                    'title': 'Cara Bayar'
                    , 'data': 'ContractServiceName'
                    , 'width': '10%'
                    , 'searchable': false
                    , 'sortable': true
                }
                , {
                    'title': 'Total'
                    , 'data': 'TagihanAkhir'
                    , 'width': '15%'
                    , 'searchable': false
                    , 'sortable': true
                    , 'className': "uniqueClassTextAlignRight"
                    , 'render': function (data, type, full, meta) {
                        if (full.IsValid == 0)
                            return '';
                        return data;
                    }
                }
                , {
                    'title': 'Preview'
                    , 'data': 'Id'
                    , 'width': '14%'
                    , 'orderable': false
                    , 'searchable': false
                    , 'render': function (data, type, full, meta) {
                        if (full.IsValid == 0)
                            return '<span class="label label-danger">VALIDASI DIBATALKAN</span>';

                        var teks = '<button class="btn btn-sm btn-success btnSummary" data-id1="'+full.Id+'" data-id2="'+full.PatientNursingId+'">Ringkas</button> ' +
                            '<button class="btn btn-sm btn-primary btnPreview" id="'+data+'">Detail</button>';
                        return teks;
                    }
                }
            ]
            , "select": true
            , "keys": {
                keys: [ 13/*ENTER*/,27/*[ESC]*/,36/*[HOME]*/,38/*[UP]*/,40/*[DOWN]*/,67/*[c]*/,70/*[f]*/ ] // keyboard available
                , columns: [ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 ] // kolom yg bisa di focus select
                , blurable: false
            }
            , "drawCallback": function(settings) {
                var api = this.api();
                if ( !tableInit ) {
                    tableInit = true;
                    api.row( 0 ).select(); api.cell( ':eq(2)' ).focus();
                }
                $("body").trigger( "content.resize" );
            }
        });

        //$(".dataTables_wrapper .row").hide();

        var array_row_select = null, index_row_select = 0, index_page = 0;
        tablePre.off('key-focus').on('key-focus', function (e, datatable, cell) {
            try{ datatable.rows().deselect(); } catch (err) { ; }
            try{ datatable.row( cell.index().row ).select(); } catch (err) { ; }
            try{ array_row_select = datatable.row( cell.index().row ).data(); } catch (err) { ; }
            try{ index_row_select = cell.index().row; } catch (err) { ; }
            try{ index_page = tablePre.api().page(); } catch (err) { ; }
            if( index_page == 0 && index_row_select == 0 ) { $("body").scrollTop( 0 ); }
            // console.log( 'key-focus' , index_page, index_row_select , array_row_select );
        });
        tablePre.off('click', 'tbody td').on('click', 'tbody td', function() {
            // console.log( $(this).parents('tr') );
            try {
                array_row_select = tablePre.api().row( $(this).parents('tr') ).data();
            } catch (err){
                array_row_select = null;
            }
            // console.log( $(this).parents('tr') );
        });
        tablePre.off('dblclick', 'tbody td').on('dblclick', 'tbody td', function() {
            // console.log( 'dblclick',array_row_select, array_row_select["Name"] );
            try {
                array_row_select = tablePre.api().row($(this).parents('tr')).data();
            } catch (err){
                array_row_select = null;
            }
            // console.log( 'dblclick',array_row_select, array_row_select["Name"] );
        });
        tablePre.off('key').on('key', function(e, datatable, key, cell, originalEvent) {
            if ( key == vk_ESCAPE ) {
                $("#search_medical_record").focus();
            }
            if ( key == vk_F2 ) {
                if ( array_row_select && array_row_select["ActivityId"] ) {
                }
            }
            if ( key == vk_F3 ) {
                if ( array_row_select && array_row_select["ActivityId"] ) {
                }
            }
            if ( key == vk_RETURN) {
                console.log( 'keypress-enter',array_row_select, array_row_select["Name"] );
            }
            e.stopPropagation();
        });

        tablePre.on('preXhr.dt', function ( e, settings, data ) {
            checkTimeout('<?= QApplication::UrlCreator('check/timeout')?>');
            __startTime__ = performance.now();
            __ajax_busy__ = true ;
            showLoader();
        } );

        tablePre.on('xhr.dt', function ( e, settings, data ) {
            hideLoader();
            __ajax_busy__ = false ;
            __stopTime__ = performance.now();
            $.jnoty(
                'Aktifitas mengambil data selesai dalam waktu ' + parseFloat((( __stopTime__-__startTime__)/1000 )).toFixed(3)  + ' detik '
                , {
                    theme: 'jnoty-default'
                    , life: 5000 // 5 seconds
                    // , sticky: true
                    , closeTemplate: ''
                    , position: 'bottom-right'
                    , icon: ''
                }
            );
            $("body").trigger( "content.resize" );
        } );

        function openDetailBilling()
        {
            $("#billing_detail").modal({ backdrop: "static", keyboard: false});
        }

        function openSummaryBilling()
        {
            $("#billing_summary").modal({ backdrop: "static", keyboard: false});
        }

        $(document).off('click', '.btnPreview').on('click', '.btnPreview', function () {
            var data = tablePre.row( $(this).parents('tr') ).data();
            console.log('Pilih Data:', data);
            strPatientNursingId = data.PatientNursingId;
            strBillingValidationId = data.Id;
            strTotalTagihan = data.BillingCurrent;
            strTagihanAkhir = data.TagihanAkhir;
            strTagihanSelisihKelas = data.TagihanSelisihKelas;
            strDiscount = data.Discount;
            strRetur = data.Retur;
            strPaymentActivityId = data.PaymentActivityId;
            strNursingCategory = data.NursingCategory;

            activityIdCetakUlang = ''; //reset data activityId
            $('#cetak-ulang').hide(); 

            openDetailBilling();
        });

        $(document).off('click', '.btnSummary').on('click', '.btnSummary',function(){
            var data = tablePre.row( $(this).parents('tr') ).data();
            var strOption = 'page=<?= __PAGE__?>&patient_nursing_id=' + data.PatientNursingId+'&status=BELUM TERBAYAR';
            printPreview('RincianRev','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/print-tagihan-rincian-belum-bayar/') ?>',strOption);
        });

        $(document).off('click', '.btnKirim').on('click', '.btnKirim', function () {
            var formTime = '<?= $formTime?>';
            var formId = '<?= $formId ?>';
            var sendId = $(this).attr('id');

            var request = $.post('<?= QApplication::UrlCreator('control/' . base64_encode(QApplication::$ModulName . '/' . QApplication::$ActionName))?>/PatientNursingBilling/BayarKasirKediri', {
                'pageId': sessionStorage.pageId,
                'formId': formId,
                'formTime': formTime,
                'sendId': strBillingValidationId
            });

            request.done(function (response) {
                if (response.status == 'success') {
                    var first = response.status.substr(0, 1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message, first + last);
                    reload();
                }
                else {
                    var first = response.status.substr(0, 1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message, first + last);
                }
            });
            request.fail(function () {
                toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
            });

        });

        $(document).off('click', '#cetakrekap').on('click', '#cetakrekap', function () {
            var strOption = 'page=<?= __PAGE__?>&patient_nursing_id=' + strPatientNursingId + '&Id=' + strId;
            printPreview('rekaptagihan','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/rekap-print/') ?>',strOption);
        });

    });

    function reload()
    {
        // tablePre.ajax.reload();
        $('#search_result_pre_document_service').DataTable().search(searchKeyword).draw();
    }

</script>
