<?php
$strActivityId = System::GetValue('activity_id',null);
if ($strActivityId) {
    $dtActivityOnPartition = System::getPartition($strActivityId);
    $objActivity = Activity::LoadById($strActivityId, $dtActivityOnPartition);
    $objHmisPatientNursing = HmisPatientNursingActive::LoadById($objActivity->RelationNursingId);
    if(!$objHmisPatientNursing) {
           $objHmisPatientNursing = HmisPatientNursing::LoadById($objActivity->RelationNursingId);
    }
    $objPatientNursingAdmBillingDetails = ActivityNursingAdmBilling::LoadArrayByActivityId($strActivityId, null);
    //$objActivityRequestExamnation = ActivityNursingRequestExamination::Load($strActivityId);
    $objActivityRequestExamnation = ActivityNursingRequestExamination::LoadByActivityId($strActivityId);
    $objMedicalDoctor = HmisRefEmployee::LoadById($objActivityRequestExamnation->ExpertiseBy);
    $strDoctorName = $objMedicalDoctor ? $objMedicalDoctor->FirstName : '';
}

$objUser = unserialize($_SESSION[__USER_LOGIN__]);

?>
<html><head>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print
        {
            .noprint {display:none;}
        }
        @media print{ @page {
            size: potrait;
            margin-top: 0cm;
            margin-bottom: 1cm;
            margin-left: 1cm;
            margin-right: 1cm;
        }}
        table thead {display: table-header-group;}
        .table {
            border: .0em solid #666;border-collapse:collapse;

            width:900;
        }
        .table2 {
            border: .0em solid #666;border-collapse:collapse;
            width:300;
        }
        .table3 {
            border: .0em solid #666;border-collapse:collapse;
            width:350;
        }
        .table4 {
            border: .0em solid #666;border-collapse:collapse;
            width:850;
        }
        .td {

            border: 1px solid #666; font-size:16px; line-height: 20px;
            vertical-align:middle; padding:1px; font-family:"Arial"; height:30;
        }
        .td3 {

            border: 1px solid #666; font-size:16px; line-height: 20px;
            vertical-align:top; padding:1px; font-family:"Arial";
        }
        .td2 {

            border: 0px solid #666; font-size:16px; line-height: 20px;
            vertical-align:middle; padding:0px; font-family:"Arial";
        }
        <!-- th { text-align:left; font-size:15px; font-weight:bold; } -->
        h2 { margin-bottom: 0; }
    </style>

</head><body><div class="noprint">
    <a href="#" onclick="kembali()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
    <!-- <a href="../../print.php?tp=5&id=RI.16.00056128"><img src='../../assets/images/print-icon.png' alt="" width='30' height='30' title='Print Dot Matrix' /></a> -->
    <a href="#" onclick="print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a>
    <button onclick="printE()">E-Print</button>
    <!-- <a href="#"  onclick="tableToExcel('testTable')"><img id="expxls" name="expxls" src="../../assets/images/excel_icon_50.gif" alt="Excel" width="28" height="28" border="0"/></a> -->
</div>

<table width="800" cellspacing="0" cellpadding="1" border="0">
    <tbody>
        <tr>
	        <td align="center">
                <div style="display: flex; flex-diection: row; justify-content: center; padding-top: 1mm">
                    <div style="width:70px; margin: 2px 25px">
                        <?php $pathFoto = '/assets/images/picture_left.jpg'; ?>
                        <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                            <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                        <?php } else { ?>
                            &nbsp;
                        <?php } ?>
                    </div>
                    <div colspan="6" align="center">
                        <h2 style="margin: 0 auto;"><?= System::getPublicVariable('nama') ?></h2>
                        <h2 style="margin: 0 auto;">RINCIAN BIAYA <?= $strType ?></h2>
                        <h6 style="text-align: center; margin: 0;"><?= System::getPublicVariable('alamat') ?></h6>
                    </div>
                    <div style="width:140px; margin: 2px 25px;">
                        <?php $pathFoto = '/assets/images/picture_middle.jpg'; ?>
                        <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                            <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                        <?php } else { ?>
                            &nbsp;
                        <?php } ?>
                        <?php $pathFoto = '/assets/images/picture_right.jpg'; ?>
                        <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                            <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                        <?php } else { ?>
                            &nbsp;
                        <?php } ?>
                    </div>
                </div>
	        </td>
        </tr>
    <tr>
        <td align="center">
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>

                <tr>
                    <hr style="border:double"></td>
                </tr>
                <tr>
                    <td colspan="4" class="tx"></td>
                </tr>
                <tr>
                    <td class="tx" width="15%"><strong>No. Nota</strong></td>
                    <td class="tx" width="32%">: -</td>
                    <td class="tx" width="16%"><strong>Cara Bayar</strong></td>
                    <td class="tx" width="37%">: <?= $objHmisPatientNursing->ContractServiceName ?></td>
                </tr>
                <tr>
                    <td class="tx"><strong>No RM</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->Mr ?></td>
                    <td class="tx"><strong>Dokter Pn. Jawab</strong></td>
                    <td class="tx">: <?= $strDoctorName ?></td>
                    <td class="tx">&nbsp;</td>
                </tr>
                <tr>
                    <td class="tx"><strong>Nama Pasien</strong></td>

                      <td class="tx">: <?= $objHmisPatientNursing->FullName ?>, <?= $objHmisPatientNursing->TitleName ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>

                    <?php } else { ?>

                    <?php } ?>
                    <td class="tx"><strong>Dokter Poli/Ruangan</strong></td>
                         <td class="tx">:
                               <?= $objActivityRequestExamnation ? $objActivityRequestExamnation->RequestByDoctorName : '' ; ?>
                         </td>

                </tr>
                <tr>
                         <td class="tx"><strong>Tanggal &amp; Waktu</strong></td>
                         <td class="tx">:
                               <?= $objActivityRequestExamnation->CreateTime ? $objActivityRequestExamnation->CreateTime->PhpDate('d-m-Y H:i:s') : '' ?></td>
                         
                </tr>
                <tr>
                    <td class="tx"><strong>Alamat</strong></td>
                    <?php $alamat = $objHmisPatientNursing->DomicilyAddress ? $objHmisPatientNursing->DomicilyAddress : $objHmisPatientNursing->Address ;?>
                    <td colspan="3" class="tx">: <?= $alamat ?></td>
                </tr>
                </tbody></table>


            <table class="table" width="100%" cellspacing="0" cellpadding="3" border="1">
                <tbody><tr>
                    <td class="td" align="center"><strong>No</strong></td>
                    <td class="td" align="center"><strong>Jenis Tindakan</strong></td>
                    <td class="td" align="center"><strong>Tindakan Dari</strong></td>
                    <td class="td" align="center"><strong>Ruang</strong></td>
                    <td class="td" align="center"><strong>Qty</strong></td>
                    <td class="td" align="center"><strong>Tarif.</strong></td>
                </tr>
                <?php
                $nomor = 1;
                $total = 0;
                $totalSudah = 0;
                $totalBelum = 0;
                /* @property HmisPatientNursingAdmBilling $item*/
                foreach($objPatientNursingAdmBillingDetails as $item) {
                    $isPaid = !empty($item->PersonalPaymentActivityId);
                    if ($item->State != 'A')
                        continue;
                    $currentBilling = floatval($item->CurrentBilling);
                    $total += $currentBilling;
                    if ($isPaid)
                        $totalSudah += $currentBilling;
                    else
                        $totalBelum += $currentBilling;
                    ?>
                <tr>
                    <td class="td" align="center"><?= $nomor++ ?></td>
                    <td class="td"><?= $item->ProductName ?></td>
                    <td class="td"><?= $item->ActivityDepartmentName ? $item->ActivityDepartmentName: '' ?></td>
                    <td class="td"> <?= $item->PatientDepartmentName ?></td>
                    <td class="td"><?= $item->Quantity?></td>
                    <td class="td" align="right" style="padding-right: 3px">
                        <?= ($isPaid ? '<i class=="fa fa-check"></i> ' : '') . number_format($currentBilling, 0, ',', '.') ?></td>
                </tr>
                <?php } ?>

                <?php if ($totalBelum > 0) { ?>
                <tr>
                    <td colspan="5" class="td" style="text-align: right">&nbsp; Jumlah</td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($totalBelum, 0, ',', '.')?></td>
                </tr>
                <?php } ?>

                </tbody>
            </table>

            <table width="100%" cellspacing="0" cellpadding="3" border="0">
                <tbody><tr>
                    <td width="100%"></td>
                </tr>
                </tbody></table>
            <table class="table" width="100%" cellspacing="0" cellpadding="3" border="0">
                <tbody>
                <tr>
                    <td width="76%" align="center"><h5></h5></td>
                    <td width="24%" align="center">
                    <table width="100%" border="0">
                            <tbody>
                            <tr>
                                <td width="42%">
                                    <div align="center">
                                        <?= System::getPublicVariable('kota') ?> , <?= date('d-m-Y'); ?>

                                        <p>&nbsp;</p>
                                        ( <?= $objUser->FullName; ?> )
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                    </table>
                    </td>
                </tr>
                </tbody>
            </table>
        </td>
    </tr>
    </tbody></table>

<br>
<h5>&nbsp;</h5>
<script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<script language="javascript" type="text/javascript">
    function printE(){
        cetakElectron('dotmetric', window.location.href);
    }

    function kembali() {
        window.history.back();
    }
</script></body></html>
<?php ; ?>
