<?php
$strActor = System::GetValue('actor',null);
$strPatientNursingId = System::GetValue('patient_nursing_id',null);
$strActivityId = System::GetValue('activity_id',null);
$strDepartmentName = urldecode(System::GetValue('groupname',null));
$strPenunjang = System::GetValue('penunjang',null);
$strSpecial = System::GetValue('special',null);
$strDepartmentOnly = System::GetValue('departmentOnly',null);
$strSembunyikanKarcis = System::GetValue('sembunyikanKarcis',null);
if ($strActivityId && !$strPatientNursingId) {
    $dtActivityOnPartition = System::getPartition($strActivityId);
    /* @property HmisPatientNursing $objHmisPatientNursing */
    $objActivity = Activity::LoadById($strActivityId, $dtActivityOnPartition);

    $objHmisPatientNursing = HmisPatientNursing::LoadById($objActivity->RelationNursingId);
    $objPatientNursingPaymentKediri = HmisPatientNursingPaymentKediri::LoadByPaymentCashierActivityId($strActivityId);
    $objPatientNursingAdmBillingDetails = ActivityNursingAdmBilling::LoadArrayByPersonalPaymentActivityId($strActivityId, null);
}else {
    $objHmisPatientNursing = HmisPatientNursing::LoadById($strPatientNursingId);
    $objPatientNursingPaymentKediri = HmisPatientNursingPaymentKediri::LoadByPaymentCashierActivityId($strActivityId);
    $groupname = '%';
    $arrMap = array(
        'LABORATORIUM' => 'LAB%',
        'RADIOLOGI' => 'RAD%',
        'KAMAR OPERASI' => 'OPR%', //tgh
        'HEMODIALISA' => 'HD%',
        'BANK DARAH' => 'BD%',
    );
    if (isset($arrMap[$strDepartmentName])) {
        $groupname = $arrMap[$strDepartmentName];
        $objPatientNursingAdmBillingDetails = HmisPatientNursingAdmBilling::LoadArrayByPatientNursingId($strPatientNursingId, $groupname);
    }else if($strDepartmentOnly) {
        $objPatientNursingAdmBillingDetails = HmisPatientNursingAdmBilling::LoadArrayByPatientNursingId($strPatientNursingId, null, null, null, true);
    }else {
        $objPatientNursingAdmBillingDetails = HmisPatientNursingAdmBilling::LoadArrayByPatientNursingId($strPatientNursingId, null, $strPenunjang, "%$strSpecial%");
    }
}

if (!$objHmisPatientNursing) {
    echo 'No Data';
    return;
}else {
    $objHmisPatientNursing->BillingCurrent = $objHmisPatientNursing->GetResumeBilling()['CurrentBillingtAmount'];

    //$strType = $objHmisPatientNursing->NursingCategory == 3 ? "RAWAT INAP" : ($objHmisPatientNursing->NursingCategory == 2 ? "GAWAT DARURAT" : "RAWAT JALAN");
    $strType = $strDepartmentName ? $strDepartmentName : '';
    $Retur = $objPatientNursingPaymentKediri->Retur;
    $Discount = $objPatientNursingPaymentKediri->Discount;
    $TagihanSelisihKelas = $objPatientNursingPaymentKediri->TagihanSelisihKelas;
    // KHUSUS NON-TUNAI
    $TagihanAkhir =  $TagihanSelisihKelas > 0 ? $TagihanSelisihKelas : ($objHmisPatientNursing->BillingCurrent - $Retur - $Discount);
    //$TagihanAkhir = $objPatientNursingPaymentKediri->BillingCurrent;
    //$TagihanAkhir = $objPatientNursingPaymentKediri->TagihanAkhir;

?>
<html><head>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print
        {
            .noprint {display:none;}
        }
        @media print{ @page {
            size: potrait;
            margin-top: 0cm;
            margin-bottom: 1cm;
            margin-left: 1cm;
            margin-right: 1cm;
        }}
        table thead {display: table-header-group;}
        .table {
            border: .0em solid #666;border-collapse:collapse;

            width:900;
        }
        .table2 {
            border: .0em solid #666;border-collapse:collapse;
            width:300;
        }
        .table3 {
            border: .0em solid #666;border-collapse:collapse;
            width:350;
        }
        .table4 {
            border: .0em solid #666;border-collapse:collapse;
            width:850;
        }
        .td {

            border: 1px solid #666; font-size:16px; line-height: 20px;
            vertical-align:middle; padding:1px; font-family:"Arial"; height:30;
        }
        .td3 {

            border: 1px solid #666; font-size:16px; line-height: 20px;
            vertical-align:top; padding:1px; font-family:"Arial";
        }
        .td2 {

            border: 0px solid #666; font-size:16px; line-height: 20px;
            vertical-align:middle; padding:0px; font-family:"Arial";
        }
        <!-- th { text-align:left; font-size:15px; font-weight:bold; } -->
        h2 { margin-bottom: 0; }
    </style>

</head><body><div class="noprint">
    <a href="#" onclick="kembali()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
    <!-- <a href="../../print.php?tp=5&id=RI.16.00056128"><img src='../../assets/images/print-icon.png' alt="" width='30' height='30' title='Print Dot Matrix' /></a> -->
    <a href="#" onclick="print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a>
    <button onclick="printE()">E-Print</button>
    <!-- <a href="#"  onclick="tableToExcel('testTable')"><img id="expxls" name="expxls" src="../../assets/images/excel_icon_50.gif" alt="Excel" width="28" height="28" border="0"/></a> -->
</div>

<table width="800" cellspacing="0" cellpadding="1" border="0">
    <tbody>
        <tr>
        <td align="center">
                <div style="display: flex; flex-diection: row; justify-content: center; padding-top: 1mm">
                    <div style="width:70px; margin: 2px 25px">
                    <?php $pathFoto = '/assets/images/picture_left.jpg'; ?>
                    <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                        <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                    <?php } else { ?>
                        &nbsp;
                    <?php } ?>
                    </div>
                    <div colspan="6" align="center">
                        <h2 style="margin: 0 auto;"><?= System::getPublicVariable('nama') ?></h2>
                        <h2 style="margin: 0 auto;">RINCIAN BIAYA <?= $strType ?></h2>
                        <h6 style="text-align: center; margin: 0;"><?= System::getPublicVariable('alamat') ?></h6>
                    </div>
                    <div style="width:140px; margin: 2px 25px;">
                    <?php $pathFoto = '/assets/images/picture_right.jpg'; ?>
                    <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                        <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                    <?php } else { ?>
                        &nbsp;
                    <?php } ?>
                    </div>
                </div>
        </td>
        </tr>
    <tr>
        <td align="center">
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>

                <tr>
                    <hr style="border:double"></td>
                </tr>
                <tr>
                    <td colspan="4" class="tx"></td>
                </tr>
                <tr>
                    <td class="tx" width="15%"><strong>No Notaaa</strong></td>
                    <td class="tx" width="32%">: -</td>
                    <td class="tx" width="16%"><strong>No RM</strong></td>
                    <td class="tx" width="37%">: <?= $objHmisPatientNursing->Mr ?></td>
                </tr>
                <tr>
                    <td class="tx"><strong>Cara Bayar</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->ContractServiceName ?></td>
                    <td class="tx"><strong>Dokter Pn.</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->DoctorName ?></td>
                </tr>
                <tr>
                    <td class="tx"><strong>Nama Pasien</strong></td>
		    <td class="tx">: <?= $objHmisPatientNursing->FullName ?>, <?= $objHmisPatientNursing->TitleName ?></td>
		    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>

                    <?php } else { ?>
                    <?php } ?>

                    <td class="tx"><strong>Tanggal</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->NursingStartDate->PhpDate('d/m/Y')?></td>
                </tr>
                <tr>
                    <td class="tx"><strong>Alamat</strong></td>
                    <td colspan="3" class="tx">: <?= $objHmisPatientNursing->DomicilyAddress ? $objHmisPatientNursing->DomicilyAddress : $objHmisPatientNursing->Address ?></td>
                </tr>
                <tr>
                    <td class="tx" width="15%">&nbsp;</td>
                    <td class="tx" width="32%">&nbsp;</td>
                    <td class="tx" width="16%">&nbsp;</td>
                    <td class="tx" width="37%">&nbsp;</td>
                </tr>
                </tbody></table>


            <table class="table" width="100%" cellspacing="0" cellpadding="3" border="1">
                <tbody><tr>
                    <td class="td" align="center"><strong>No</strong></td>
                    <td class="td" align="center"><strong>Jenis Tindakan</strong></td>
                    <td class="td" align="center"><strong>Ruang</strong></td>
                    <td class="td" align="center"><strong>Qty</strong></td>
                    <td class="td" align="center"><strong>Tarif.</strong></td>
                </tr>
                <?php
                $nomor = 1;
                $total = 0;
                $totalSudah = 0;
                $totalBelum = 0;
                /* @property HmisPatientNursingAdmBilling $item*/
                foreach($objPatientNursingAdmBillingDetails as $item) {
                    $isPaid = !empty($item->PersonalPaymentActivityId);
                    if ($item->State != 'A')
                        continue;
                    if($strSembunyikanKarcis && $item->ProductName == 'PEMERIKSAAN DI POLI SPESIALIS' && $item->PersonalPaymentActivityId){
                        continue;
                    }
                    $currentBilling = floatval($item->CurrentBilling);
                    $total += $currentBilling;
                    if ($isPaid)
                        $totalSudah += $currentBilling;
                    else
                        $totalBelum += $currentBilling;
                    ?>
                <tr>
                    <td class="td" align="center"><?= $nomor++ ?></td>
                    <td class="td"><?= $item->ProductName ?></td>
                    <td class="td"> <?= $item->PatientDepartmentName ?></td>
                    <td class="td"><?= $item->Quantity?></td>
                    <td class="td" align="right" style="padding-right: 3px">
                        <?= ($isPaid ? '<i class=="fa fa-check"></i> ' : '') . number_format($currentBilling, 0, ',', '.') ?></td>
                </tr>
                <?php } ?>

                <?php if ($totalSudah > 0) { ?>
                <tr>
                    <td colspan="4" class="td" style="text-align: right">&nbsp; Sudah Terbayar</td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($totalSudah, 0, ',', '.')?></td>
                </tr>
                <?php } ?>
                <?php if ($totalBelum > 0) { ?>
                <tr>
                    <td colspan="4" class="td" style="text-align: right">&nbsp; Jumlah</td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($totalBelum, 0, ',', '.')?></td>
                </tr>
                <?php } ?>
                <?php if ($Retur > 0) { ?>
                <tr>
                    <td colspan="4" class="td" style="text-align: right">&nbsp; Retur</td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($Retur, 0, ',', '.')?></td>
                </tr>
                <?php } ?>
                <?php if ($Discount > 0) { ?>
                    <tr>
                        <td colspan="4" class="td" style="text-align: right">&nbsp; Discount</td>
                        <td class="td" align="right" style="padding-right: 3px"><?= number_format($Discount, 0, ',', '.')?></td>
                    </tr>
                <?php } ?>
                <?php if ($TagihanSelisihKelas > 0) { ?>
                    <tr>
                        <td colspan="4" class="td" style="text-align: right">&nbsp; Tagihan Selisih Kelas</td>
                        <td class="td" align="right" style="padding-right: 3px"><?= number_format($TagihanSelisihKelas, 0, ',', '.')?></td>
                    </tr>
                <?php } ?>
                <tr style="">
                    <td colspan="4" class="td" style="text-align: right">&nbsp; Total Tagihan</td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($TagihanSelisihKelas > 0 ? $TagihanSelisihKelas : $totalBelum - $Retur - $Discount, 0, ',', '.')?></td>
                </tr>

                </tbody></table>

            <table width="100%" cellspacing="0" cellpadding="3" border="0">
                <tbody><tr>
                    <td width="100%"></td>
                </tr>
                </tbody></table>
            <table class="table" width="100%" cellspacing="0" cellpadding="3" border="0">
                <tbody><tr>
                    <td width="76%" align="center"><h5></h5></td>
                    <td width="24%" align="center"><table width="100%" border="0">
                            <tbody><tr>
                                <td width="42%"><div align="center">
                                        Pemerinci,

                                        <p>&nbsp;</p>
                                        (  ______________  )
                                    </div></td>
                            </tr>
                            </tbody></table></td>
                </tr>
                </tbody></table>
        </td>
    </tr>
    </tbody></table>

<br>
<h5>&nbsp;</h5>
<script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<script language="javascript" type="text/javascript">
    function printE(){
        cetakElectron('dotmetric', window.location.href);
    }

    function kembali() {
        window.history.back();
    }
</script>

<!--<?php var_dump($objHmisPatientNursing) ;?> -->
</body></html>
<?php } ?>
