<?php
include_once __DOCROOT__ . __SUBDIRECTORY__ . '/classes/controller/PatientNursingBilling.class.php';
$strId = System::GetValue('Id',null);
$strPaymentActivityId = System::GetValue('payment_activity_id',null);
$strPatientNursingId = System::GetValue('patient_nursing_id',null);
if ($strId)
    $_POST['payment_kediri_id'] = $strId;
else {
    $_POST['payment_activity_id'] = $strPaymentActivityId;
}
$_POST['patient_nursing_id'] = $strPatientNursingId;
$objHmisPatientNursing = HmisPatientNursing::LoadById($strPatientNursingId);
$arrData = PatientNursingBilling::RincianBiayaKediri(false);
// exit(print_r($arrData, true));
//$arrData = json_decode($strJson);
$strType = $objHmisPatientNursing->NursingCategory == '3' ? 'RAWAT INAP' : ($objHmisPatientNursing->NursingCategory == '2' ? 'RAWAT DARURAT' : 'RAWAT JALAN');

?>
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print
        {
            .noprint {display:none;}
        }
        @media print{ @page {
            size: potrait;
            margin-top: 0cm;
            margin-bottom: 1cm;
            margin-left: 1cm;
            margin-right: 1cm;
        }}
        table thead {display: table-header-group;}
        .rincian th {
            text-transform: uppercase;
            text-align: center;
            font-weight: bold;
        }
        .rincian thead th { padding: 9px 0; }
        .rincian tfoot th { padding: 4px 0; text-align: right; padding-right: 5px; }
        .rincian tbody tr td:nth-child(2),
        .rincian tbody tr td:nth-child(3),
        .rincian tbody tr td:nth-child(4),
        .rincian tbody tr td:nth-child(5) {
            text-align: right;
            padding-right: 5px;
        }
        .rincian tbody {
            border: 1px solid #000;
            border-collapse:collapse;
        }
        .rincian tbody td {
            border: none;
            border-left: 1px solid #000;
            border-right: 1px solid #000;
        }
        .rincian tr.bordered {
            border-top: 1px solid #000;
        }
        .table {
            border: .0em solid #666;border-collapse:collapse;
            width:900;
        }
        .td {

            border: 1px solid #666; font-size:16px; line-height: 20px;
            vertical-align:middle; padding:1px; font-family:"Arial"; height:30;
        }
        <!-- th { text-align:left; font-size:15px; font-weight:bold; } -->
        h2 { margin-bottom: 0; }
    </style>

</head>
<body>
<div class="noprint">
    <a href="#" onclick="kembali()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
    <!-- <a href="../../print.php?tp=5&id=RI.16.00056128"><img src='../../assets/images/print-icon.png' alt="" width='30' height='30' title='Print Dot Matrix' /></a> -->
    <a href="#" onclick="print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a>
    <!-- <a href="#"  onclick="tableToExcel('testTable')"><img id="expxls" name="expxls" src="../../assets/images/excel_icon_50.gif" alt="Excel" width="28" height="28" border="0"/></a> -->
</div>
<table width="800" cellspacing="0" cellpadding="1" border="0">
    <tbody>
    <tr>
        <td colspan="3">
            <table width="100%">
                <tbody>
                <tr>
                    <td style="text-align: right">
                        <?php $pathFoto = '/assets/images/picture_left.jpg'; ?>
                        <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                            <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                        <?php } else { ?>
                            &nbsp;
                        <?php } ?>
                    </td>
                    <td>
                        <h3 style="text-align: center; margin: 0;"><?= System::getPublicVariable('nama') ?></h3>
                        <h3 style="text-align: center; margin: 0;">RINCIAN BIAYA <?= $strType ?></h3>
                        <h4 style="text-align: center; margin: 0;"><?= System::getPublicVariable('alamat') ?></h4>
                    </td>
                    <td style="text-align: left">
                        <?php $pathFoto = '/assets/images/picture_right.jpg'; ?>
                        <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                            <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                        <?php } else { ?>
                            &nbsp;
                        <?php } ?>
                    </td>
                </tr>
                </tbody>
            </table>
        </td>
    </tr>
    </tbody>
    <tr>
        <td align="center">
            <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-bottom: 10px;">
                <tbody>
                <tr>
                    <hr style="border:double"></td>
                </tr>
                <tr>
                    <td colspan="4" class="tx"></td>
                </tr>
                <tr>
                    <td class="tx" width="10%"><strong>No Nota</strong></td>
                    <td class="tx" width="25%">: -</td>
                    <td class="tx" width="10%"><strong>Cara Bayar</strong></td>
                    <td class="tx" width="25%">: <?= $objHmisPatientNursing->ContractServiceName ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>
                    <td class="tx" width="10%"><strong>TMRS</strong></td>
                    <td class="tx" width="20%">: <?= $objHmisPatientNursing->NursingStartDate->PhpDate('d/m/Y')?></td>
                    <?php } ?>
                    <?php if ($objHmisPatientNursing->NursingCategory == '1' || $objHmisPatientNursing->NursingCategory == '2' ) { ?>
                    <td class="tx" width="10%"><strong>Tanggal</strong></td>
                    <td class="tx" width="20%">: <?= $objHmisPatientNursing->NursingStartDate ? $objHmisPatientNursing->NursingStartDate->PhpDate('d/m/Y') : "" ?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx"><strong>No RM</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->Mr ?></td>
                    <td class="tx"><strong><?= $objHmisPatientNursing->NursingCategory == '3' ? 'Ruangan/Poli' : 'Ruangan/Poli'?></strong></td>
                    <td class="tx">: <?= str_replace(array('RUANG ', 'POLI '), array('', ''), $objHmisPatientNursing->DepartmentName) ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>
                    <td class="tx" width="10%"><strong>TKRS</strong></td>
                    <td class="tx" width="20%">: <?= $objHmisPatientNursing->NursingEndDate ? $objHmisPatientNursing->NursingEndDate->PhpDate('d/m/Y') : ''?></td>
                    <?php } ?>
                    <?php if ($objHmisPatientNursing->NursingCategory == '1') { ?>
                    <td class="tx" width="10%"><strong>Dokter</strong></td>
                    <td class="tx" width="20%">: <?= $objHmisPatientNursing->DoctorName ?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx"><strong>Nama Pasien</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->FullName ?>, <?= $objHmisPatientNursing->TitleName ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>
                    <td class="tx"><strong>Kelas Tind.</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->PresentClassName ?></td>
                    <?php } else { ?>
                    <td class="tx">&nbsp;</td>
                    <td class="tx">&nbsp;</td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx"><strong>Alamat</strong></td>
                    <?php $alamat = $objHmisPatientNursing->DomicilyAddress? $objHmisPatientNursing->DomicilyAddress : $objHmisPatientNursing->Address; ?>
                    <td colspan="3" class="tx">: <?= $alamat ?></td>
                </tr>
                </tbody>
            </table>

            <table class="table rincian" width="100%" cellspacing="0" cellpadding="3" border="1">
                <thead>
                    <tr>
                        <th>Jenis Tindakan</th>
                        <th>Ruang</th>
                        <th>Qty</th>
                        <th>JRS</th>
                        <th>Medik</th>
                        <th>Total</th>
                    </tr>
                </thead>
                <tbody>
                    <?php if (count($arrData['KAMAR']) > 0) {?>
                    <tr class="bordered">
                        <td><strong>HARI PERAWATAN</strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['KAMAR'] as $item){?>
                        <tr class="bordered">
                        <td>&nbsp;&nbsp;- &nbsp;<?= $item['keterangan']?></td>
                        <td><?= $item['ruang'] ?></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['x0'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td><?= number_format($item['x1'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td style="text-align: right"><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php } ?>
                    <?php if (count($arrData['VISITE']) > 0) {?>
                    <tr class="bordered">
                        <td><strong>VISITE DOKTER</strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['VISITE'] as $item) { ?>
                    <tr>
                        <td>&nbsp;&nbsp;- &nbsp;<?= $item['dokter']?></td>
                        <td><?= $item['ruang'] ?></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['x0'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td><?= number_format($item['x1'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td style="text-align: right"><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php } ?>
                    <?php if (count($arrData['KONSUL SPESIALIS']) > 0) {?>
                    <tr class="bordered">
                        <td><strong>KONSUL DOKTER SPESIALIS</strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['KONSUL SPESIALIS'] as $item) { ?>
                    <tr>
                        <td>&nbsp;&nbsp;- &nbsp;<?= $item['dokter'] ? $item['dokter'] : '??' ?></td>
                        <td><?= $item['ruang'] ?></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['x0'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td><?= number_format($item['x1'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td style="text-align: right"><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php } ?>
                    <?php if ($arrData['ASUHAN KEPERAWATAN']) {?>
                    <tr class="bordered">
                        <td><strong>Asuhan Keperawatan</strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['ASUHAN KEPERAWATAN'] as $item) { ?>
                    <tr>
                        <td>&nbsp;&nbsp;- &nbsp;<?= $item['keterangan'] ?></td>
                        <td><?= $item['ruang'] ?></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['x0'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td><?= number_format($item['x1'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td style="text-align: right"><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>

                    <?php } ?>
                    <?php if ($arrData['KONSUL GIZI']) {?>
                    <tr class="bordered">
                        <td>Konsul Gizi</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td style="text-align: right"><?= number_format($arrData['KONSUL GIZI']['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php if ($arrData['ASUHAN GIZI']) {?>
                    <tr class="bordered">
                        <td>Asuhan Gizi</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td style="text-align: right"><?= number_format($arrData['ASUHAN GIZI']['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php if ($arrData['OPERATIF']) {?>
                    <tr class="bordered">
                        <td><strong>TINDAKAN OPERASI</strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['OPERATIF'] as $item) { ?>
                    <tr>
                        <td>&nbsp;<?= $item['nama']?></td>
                        <td></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['x0'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td><?= number_format($item['x1'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td style="text-align: right"><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php } ?>
                    <?php if ($arrData['OBAT-ALKES']) {?>
                    <tr class="bordered">
                        <td><strong>OBAT + ALKES</strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td style="text-align: right"><?= number_format($arrData['OBAT-ALKES']['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php if ($arrData['NON-OPERATIF']) {?>
                    <tr class="bordered">
                        <td><strong>TINDAKAN KEPERAWATAN</strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['NON-OPERATIF'] as $item) { ?>
                    <tr>
                        <td>&nbsp;<?= $item['nama']?></td>
                        <td><?= $item['ruang'] ?></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['x0'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td><?= number_format($item['x1'] * $item['jumlah'], 0, ',', '.') ?></td>
                        <td style="text-align: right"><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php } ?>
                    <?php if ($arrData['PENUNJANG']) {?>
                    <tr class="bordered">
                        <td><strong>TINDAKAN PENUNJANG</strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['PENUNJANG'] as $key => $item) { ?>
                    <?php if (in_array($key, array('RAD', 'LAB', 'LABK'))):?>
                    <?php
                        $arrayJudul = array('RAD' => 'Radiologi', 'LAB' => 'Laboratorium', 'LABK' => 'Laboratorium');
                    ?>
                    <tr>
                        <td><strong><i><?php echo $arrayJudul[$key]?></i></strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['PENUNJANG'][$key] as $subitem):?>
                    <tr>
                        <td>&nbsp;- <?= $subitem['nama']?></td>
                        <td></td>
                        <td><?= $subitem['jumlah'] . ' ' . $subitem['satuan']?></td>
                        <td><?= number_format($subitem['x0'], 0, ',', '.') ?></td>
                        <td><?= number_format($subitem['x1'], 0, ',', '.') ?></td>
                        <td style="text-align: right"><?= number_format($subitem['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php endforeach?>
                    <?php else:?>
                    <tr>
                        <td>&nbsp;<?= $item['nama']?></td>
                        <td></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['x0'], 0, ',', '.') ?></td>
                        <td><?= number_format($item['x1'], 0, ',', '.') ?></td>
                        <td style="text-align: right"><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php endif?>
                    <?php } ?>
                    <?php } ?>
                    <?php if ($arrData['LAIN-LAIN']) {?>
                    <tr class="bordered">
                        <td><strong>LAIN-LAIN</strong></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td style="text-align: right"><?= number_format($arrData['LAIN-LAIN']['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                </tbody>
                <tfoot>
                    <tr>
                        <th>BIAYA</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($arrData['__TOTAL'], 0, ',', '.')?></th>
                    </tr>
                    <?php if ($arrData['RETURN-OBAT-ALKES']) {?>
                    <tr>
                        <th>RETUR</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($arrData['RETURN-OBAT-ALKES']['total'], 0, ',', '.') ?></th>
                    </tr>
                    <tr>
                        <th>TOTAL SETELAH RETUR</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($arrData['__TOTAL'] - $arrData['RETURN-OBAT-ALKES']['total'], 0, ',', '.') ?></th>
                    </tr>
                    <?php 
                        } 
                    ?>
                    <?php
                        $jumlahDiskon = 0;

                        if($strPatientNursingId){
                            $objPaymentKediri = HmisPatientNursingPaymentKediri::QuerySingle(QQ::OrCondition(
                                QQ::Equal(QQN::HmisPatientNursingPaymentKediri()->PatientNursingId, $strPatientNursingId)
                            ));
                        } else if($strPaymentActivityId){
                            $objPaymentKediri = HmisPatientNursingPaymentKediri::QuerySingle(QQ::OrCondition(
                                QQ::Equal(QQN::HmisPatientNursingPaymentKediri()->ActivityId, $strPaymentActivityId)
                            ));
                        } else if($strId){
                            $objPaymentKediri = HmisPatientNursingPaymentKediri::QuerySingle(QQ::OrCondition(
                                QQ::Equal(QQN::HmisPatientNursingPaymentKediri()->Id, $strId)
                            ));
                        }
                        if($objPaymentKediri->TagihanAkhir){
                            $totalBiayaAkhir = $objPaymentKediri->TagihanAkhir;   
                        }
                        if ($objPaymentKediri->Discount) {
                            $jumlahDiskon = $objPaymentKediri->Discount;
                        }


                        if($objHmisPatientNursing->NursingCategory != '1'){
                            //PaketBPJS dan Jasaraharja dimunculkan di ranap dan igd
                            $paketJasaraharja = $objHmisPatientNursing->PaketJasaRaharja;
                            $PaketBpjs = $objHmisPatientNursing->PaketBpjs;
                            $SelisihPaket = $objHmisPatientNursing->SelisihPaket;
                            $Bpjs75 = $objHmisPatientNursing->Bpjs75;
                            $Bpjs25 = $objHmisPatientNursing->Bpjs25;
                            $TagihanIgd = $objHmisPatientNursing->TagihanIgd;

                        }
                    ?>
                    <?php if($TagihanIgd){ ?>
                    <tr>
                        <th>Tagihan IGD</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($TagihanIgd, 0, ',', '.') ?></th>
                    </tr>
                    <?php } ?>
                    <?php if($paketJasaraharja){ ?>
                    <tr>
                        <th>Jasa Raharja</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($paketJasaraharja, 0, ',', '.') ?></th>
                    </tr>
                    <?php } ?>
                    <?php if($SelisihPaket){ ?>
                    <tr>
                        <th>Selisih Paket</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($SelisihPaket, 0, ',', '.') ?></th>
                    </tr>
                    <?php } ?>
                    <?php if($PaketBpjs){ ?>
                    <tr>
                        <th>BPJS</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($PaketBpjs, 0, ',', '.') ?></th>
                    </tr>
                    <?php } ?>
                    <?php if($Bpjs75){ ?>
                    <tr>
                        <th>BPJS 75%</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($Bpjs75, 0, ',', '.') ?></th>
                    </tr>
                    <?php } ?>
                    <?php if($Bpjs25){ ?>
                    <tr>
                        <th>BPJS 25%</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($Bpjs25, 0, ',', '.') ?></th>
                    </tr>
                    <?php } ?>

                    <?php if($jumlahDiskon){ ?>
                    <tr>
                        <th>DISKON</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($jumlahDiskon, 0, ',', '.') ?></th>
                    </tr>
                    <?php 
                        } 
                        // $totalBiayaAkhir = $arrData['__TOTAL'] - $arrData['RETURN-OBAT-ALKES']['total'] - $jumlahDiskon;
                    ?>
                    <?php if($totalBiayaAkhir){ ?>
                    <tr>
                        <th>TOTAL BIAYA</th>
                        <td></td>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th><?= number_format($totalBiayaAkhir, 0, ',', '.') ?></th>
                    </tr>
                    <?php } ?>
                </tfoot>
            </table>

            <table class="table" width="100%" cellspacing="0" cellpadding="3" border="0" style="margin-top: 15px;">
                <tbody><tr>
                    <td width="76%" align="center"><h5></h5></td>
                    <td width="24%" align="center"><table width="100%" border="0">
                            <tbody><tr>
                                <td width="42%"><div align="center">
                                        Pemerinci,

                                        <p>&nbsp;</p>
                                        (  ______________  )
                                    </div></td>
                            </tr>
                            </tbody></table></td>
                </tr>
                </tbody></table>
        </td>
    </tr>
    </tbody></table>
<!-- <?php echo json_encode($arrData, JSON_PRETTY_PRINT);?> -->
<br>
<h5>&nbsp;</h5>
<script language="javascript" type="text/javascript">
    var data = <?= json_encode($arrData)?>;
    function kembali() {
        window.history.back();
    }
</script></body></html>
