<?php
$strActor = System::GetValue('actor',null);
$strPatientNursingId = System::GetValue('patient_nursing_id',null);
$strActivityId = System::GetValue('activity_id',null);
$strDepartmentName = urldecode(System::GetValue('groupname',null));
$strPenunjang = System::GetValue('penunjang',null);
$strSpecial = System::GetValue('special',null);
$strDepartmentOnly = System::GetValue('departmentOnly',null);
$dataRuanganPX = array();
if ($strActivityId && !$strPatientNursingId) {
    $dtActivityOnPartition = System::getPartition($strActivityId);
    /* @property HmisPatientNursing $objHmisPatientNursing */
    $objActivity = Activity::LoadById($strActivityId, $dtActivityOnPartition);

    $objHmisPatientNursing = HmisPatientNursing::LoadById($objActivity->RelationNursingId);
    $objPatientNursingPaymentKediri = HmisPatientNursingPaymentKediri::LoadByPaymentCashierActivityId($strActivityId);
    $objPatientNursingAdmBillingDetails = ActivityNursingAdmBilling::LoadArrayByPersonalPaymentActivityId($strActivityId, null);
}else {
    $objHmisPatientNursing = HmisPatientNursing::LoadById($strPatientNursingId);
    $objPatientNursingPaymentKediri = HmisPatientNursingPaymentKediri::LoadByPaymentCashierActivityId($strActivityId);
    $groupname = '%';
    $arrMap = array(
        'LABORATORIUM' => 'LAB%',
        'RADIOLOGI' => 'RAD%',
    );
    if (isset($arrMap[$strDepartmentName])) {
        $groupname = $arrMap[$strDepartmentName];
        $objPatientNursingAdmBillingDetails = HmisPatientNursingAdmBilling::LoadArrayByPatientNursingId($strPatientNursingId, $groupname);
    }else if($strDepartmentOnly) {
        $objPatientNursingAdmBillingDetails = HmisPatientNursingAdmBilling::LoadArrayByPatientNursingId($strPatientNursingId, null, null, null, true);
    }else {
        $objPatientNursingAdmBillingDetails = HmisPatientNursingAdmBilling::LoadArrayByPatientNursingId($strPatientNursingId, null, $strPenunjang, "%$strSpecial%");
    }
}

if (!$objHmisPatientNursing) {
    echo 'No Data';
    return;
}else {
    $objHmisPatientNursing->BillingCurrent = $objHmisPatientNursing->GetResumeBilling()['CurrentBillingtAmount'];

    //$strType = $objHmisPatientNursing->NursingCategory == 3 ? "RAWAT INAP" : ($objHmisPatientNursing->NursingCategory == 2 ? "GAWAT DARURAT" : "RAWAT JALAN");
    $strType = $strDepartmentName ? $strDepartmentName : '';
    $Retur = $objPatientNursingPaymentKediri->Retur;
    $Discount = $objPatientNursingPaymentKediri->Discount;
    $TagihanSelisihKelas = $objPatientNursingPaymentKediri->TagihanSelisihKelas;
    // KHUSUS NON-TUNAI
    $TagihanAkhir =  $TagihanSelisihKelas > 0 ? $TagihanSelisihKelas : ($objHmisPatientNursing->BillingCurrent - $Retur - $Discount);
    //$TagihanAkhir = $objPatientNursingPaymentKediri->BillingCurrent;
    //$TagihanAkhir = $objPatientNursingPaymentKediri->TagihanAkhir;

    if($objHmisPatientNursing->NursingCategory == '1'){
        $headerTambahan = 'RAWAT JALAN';
    }elseif($objHmisPatientNursing->NursingCategory == '2'){
        $headerTambahan = 'RAWAT DARURAT';
    }elseif($objHmisPatientNursing->NursingCategory == '3'){
        $headerTambahan = 'RAWAT INAP';
    }
?>
<html>
<head>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print
        {
            .noprint {display:none;}
        }
        @media print{ @page {
            size: potrait;
            margin-top: 0cm;
            margin-bottom: 1cm;
            margin-left: 1.5cm;
            margin-right: 1.5cm;
        }}
        table thead {display: table-header-group;}
        .table {
            border: .0em solid #666;border-collapse:collapse;

            width:900;
        }
        .table2 {
            border: .0em solid #666;border-collapse:collapse;
            width:300;
        }
        .table3 {
            border: .0em solid #666;border-collapse:collapse;
            width:350;
        }
        .table4 {
            border: .0em solid #666;border-collapse:collapse;
            width:850;
        }
        .td {

            border: 1px solid #666; font-size:16px; line-height: 20px;
            vertical-align:middle; padding:1px; font-family:"Arial"; height:30;
        }
        .td3 {

            border: 1px solid #666; font-size:16px; line-height: 20px;
            vertical-align:top; padding:1px; font-family:"Arial";
        }
        .td2 {

            border: 0px solid #666; font-size:16px; line-height: 20px;
            vertical-align:middle; padding:0px; font-family:"Arial";
        }
        <!-- th { text-align:left; font-size:15px; font-weight:bold; } -->
        h2 { margin-bottom: 0; }
    </style>

</head>
<body>
<div class="noprint">
    <a href="#" onclick="window.close()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
    <!-- <a href="../../print.php?tp=5&id=RI.16.00056128"><img src='../../assets/images/print-icon.png' alt="" width='30' height='30' title='Print Dot Matrix' /></a> -->
    <!-- <a href="#" onclick="print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a> -->
    <!-- <button onclick="printE()">E-Print</button> -->
    <!-- <a href="#"  onclick="tableToExcel('testTable')"><img id="expxls" name="expxls" src="../../assets/images/excel_icon_50.gif" alt="Excel" width="28" height="28" border="0"/></a> -->
</div>

<table width="800" cellspacing="0" cellpadding="1" border="0">
    <tbody>
    <tr>
        <td colspan="3">
            <table width="100%">
                <tbody>
                <tr>
                    <td style="text-align: right">
                        <?php $pathFoto = '/assets/images/picture_left.jpg'; ?>
                        <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                            <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                        <?php } else { ?>
                            &nbsp;
                        <?php } ?>
                    </td>
                    <td>
                        <h3 style="text-align: center; margin: 0;"><?= System::getPublicVariable('nama') ?></h3>
                        <h3 style="text-align: center; margin: 0;">(TEST)RINCIAN BIAYA <?= $headerTambahan ?></h3>
                        <h4 style="text-align: center; margin: 0;"><?= System::getPublicVariable('alamat') ?></h4>
                    </td>
                    <td style="text-align: left">
                        <?php $pathFoto = '/assets/images/picture_right.jpg'; ?>
                        <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                            <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                        <?php } else { ?>
                            &nbsp;
                        <?php } ?>
                    </td>
                </tr>
                </tbody>
            </table>
        </td>
    </tr>
    </tbody>
    <tr>
        <td align="center">
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
            <tbody>
                <tr>
                    <hr style="border:double"></td>
                </tr>
                <tr>
                    <td colspan="4" class="tx"></td>
                </tr>
                <tr>
                    <td class="tx" width="10%"><strong>Nomor Nota</strong></td>
                    <td class="tx" width="25%">: -</td>
                    <td class="tx" width="10%"><strong>Cara Bayar</strong></td>
                    <td class="tx" width="25%">: <?= $objHmisPatientNursing->ContractServiceName ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>
                    <td class="tx" width="10%"><strong>TMRS</strong></td>
                    <td class="tx" width="20%">: <?= $objHmisPatientNursing->NursingStartDate->PhpDate('d/m/Y')?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx"><strong>No RM</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->Mr ?></td>
                    <td class="tx"><strong><?= $objHmisPatientNursing->NursingCategory == '3' ? 'Ruangan' : 'Poli'?></strong></td>
                    <td class="tx">: <?= str_replace(array('RUANG ', 'POLI '), array('', ''), $objHmisPatientNursing->DepartmentName) ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>
                    <td class="tx" width="10%"><strong>TKRS</strong></td>
                    <td class="tx" width="20%">: <?= $objHmisPatientNursing->NursingEndDate ? $objHmisPatientNursing->NursingEndDate->PhpDate('d/m/Y') : ''?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx"><strong>Nama Pasien</strong></td>
                    <td class="tx">: <?= ucwords(strtolower($objHmisPatientNursing->FullName)) ?>, <?= $objHmisPatientNursing->TitleName ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>
                    <td class="tx"><strong>Kelas Tind.</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->PresentClassName ?></td>
                    <?php } else { ?>
                    <td class="tx">&nbsp;</td>
                    <td class="tx">&nbsp;</td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx"><strong>Alamat</strong></td>
                    <td colspan="3" class="tx">: <?= $objHmisPatientNursing->DomicilyAddress ? $objHmisPatientNursing->DomicilyAddress : $objHmisPatientNursing->Address ?></td>
                </tr>
            </tbody>
            </table>


            <table class="table" width="100%" cellspacing="0" cellpadding="3" border="1">
                <tbody><tr>
                    <td class="td" align="center"><strong>No</strong></td>
                    <td class="td" align="center"><strong>Uraian</strong></td>
                    <td class="td" align="center"><strong>Ruang</strong></td>
                    <td class="td" align="center"><strong>Qty</strong></td>
                    <td class="td" align="center"><strong>Jumlah</strong></td>
                </tr>
                <?php
                $nomor = 1;
                $total = 0;
                $totalSudah = 0;
                $totalBelum = 0;
                $key = $buatKey = $keyVisite = $keyTindakanKeperatan = array();
                $qty_lab = $qty_rad = $qty_obat_alkes = 0;
                $jumlah_lab = $jumlah_rad = $jumlah_obat_alkes = 0;
                /* @property HmisPatientNursingAdmBilling $item*/
                $arrRuanganPasien = array();
                foreach($objPatientNursingAdmBillingDetails as $item) {
                    $isPaid = !empty($item->PersonalPaymentActivityId);
                    if ($item->State != 'A')
                        continue;
                    $currentBilling = floatval($item->CurrentBilling);
                    $total += $currentBilling;
                    if ($isPaid)
                        $totalSudah += $currentBilling;
                    else
                        $totalBelum += $currentBilling;
                    ?>

                <?php
                $arrRuanganPasien[] = $item->PatientDepartmentCode; //melacak ruangan yg pernah disinggahi px
                if(stripos($item->ProductDescription, 'VISITE') !== false){
                    $keyVisite[] = $item->PatientDepartmentName . $item->ProductName;
                    $key = $item->PatientDepartmentName . $item->ProductName;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$key"]['qty'] += 1;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$key"]['billing'] += $currentBilling;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$key"]['keterangan'] = $item->ProductName;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$key"]['ruang'] = $item->PatientDepartmentName;
                }elseif(stripos($item->ProductDescription, 'KAMAR') !== false){
                    $buatKey = $item->ProductDescription;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['hari_perawatan'] += 1;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['billing_perawatan'] += $currentBilling;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['ruang_kamar'] = $item->PatientDepartmentName;
                }elseif(stripos($item->ProductDescription, 'ASUHAN KEPERAWATAN') !== false){
                    $buatKey = $item->ProductDescription;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['jumlah_asuhan_k'] += 1;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['billing_asuhan_k'] += $currentBilling;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['ruang_asuhan_k'] = $item->PatientDepartmentName;
                }elseif(stripos($item->ProductDescription, 'KONSULTASI GIZI') !== false){
                    $buatKey = $item->ProductDescription;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['jumlah_konsul_gizi'] += 1;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['billing_konsul_gizi'] += $currentBilling;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['ruang_konsul_gizi'] = $item->PatientDepartmentName;
                }elseif(stripos($item->ProductDescription, 'KONSULTASI DOKTER') !== false){
                    $buatKey = $item->ProductDescription;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['jumlah_konsul_dokter'] += 1;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['billing_konsul_dokter'] += $currentBilling;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['ruang_konsul_dokter'] = $item->PatientDepartmentName;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['keterangan_konsul_dokter'] = $item->ProductName;
                }elseif($item->ActivityDepartmentCode == 'LAB-PK'){
                    $qty_lab += 1;
                    $jumlah_lab += $currentBilling;
                }elseif($item->ActivityDepartmentCode == 'RAD'){
                    $qty_rad += 1;
                    $jumlah_rad += $currentBilling;
                }elseif($item->ActivityDepartmentCode == 'APT-INAP' || $item->ActivityDepartmentCode == 'APT-RD' || $item->ActivityDepartmentCode == 'APTRJ'){
                    $qty_obat_alkes += 1;
                    $jumlah_obat_alkes += $currentBilling;
                }elseif(stripos($item->ProductCode, 'RI.') !== false ||
                stripos($item->ProductCode, 'RJ.') !== false ||
                stripos($item->ProductCode, 'IGD.') !== false ||
                stripos($item->ProductCode, 'TND.') !== false
                ){
                    $buatKey = $item->ProductDescription;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['jumlah_tindakan_keperawatan'] += 1;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['billing_tindakan_keperawatan'] += $currentBilling;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['ruang_tindakan_keperawatan'] = $item->PatientDepartmentName;
                    $dataRuanganPX["$item->ActivityDepartmentCode"]["$item->PatientDepartmentCode"]['keterangan_tindakan_keperawatan'] = $buatKey;
                }else{
                ?>
                <tr>
                    <td class="td" align="center"><?= $nomor++ ?></td>
                    <td class="td"><?= $item->ProductName ?></td>
                    <td class="td"> <?= $item->PatientDepartmentName ?></td>
                    <td class="td"><?= $item->Quantity?></td>
                    <td class="td" align="right" style="padding-right: 3px">
                        <?= ($isPaid ? '<i class=="fa fa-check"></i> ' : '') . number_format($currentBilling, 0, ',', '.') ?></td>
                </tr>
                <?php 
                    }
                }
                ?>
                

    <?php //----------------------------
foreach($dataRuanganPX as $dataRuangan){
               $unik = array_unique($arrRuanganPasien); 
               foreach($unik as $key){
                   if( $dataRuangan["$key"]['hari_perawatan'] > 0){
                    ?>
                    <tr>
                        <td class="td" align="center"><?= $nomor++ ?></td>
                        <td class="td">Hari Perawatan</td>
                        <td class="td"> <?= $dataRuangan["$key"]['ruang_kamar'] ?></td>
                        <td class="td"><?= $dataRuangan["$key"]['hari_perawatan'] ?></td>
                        <td class="td" align="right" style="padding-right: 3px"><?= number_format($dataRuangan["$key"]['billing_perawatan'], 0, ',', '.') ?></td>
                    </tr>
                    <?php
                   }
               }

                foreach($unik as $key){
                    if( $dataRuangan["$key"]['jumlah_tindakan_keperawatan'] > 0){
                    ?>
                    <tr>
                        <td class="td" align="center"><?= $nomor++ ?></td>
                        <td class="td"><?= $dataRuangan["$key"]['keterangan_tindakan_keperawatan'] ?></td>
                        <td class="td"> <?= $dataRuangan["$key"]['ruang_tindakan_keperawatan'] ?></td>
                        <td class="td"><?= $dataRuangan["$key"]['jumlah_tindakan_keperawatan'] ?></td>
                        <td class="td" align="right" style="padding-right: 3px"><?= number_format($dataRuangan["$key"]['billing_tindakan_keperawatan'], 0, ',', '.') ?></td>
                    </tr>
                    <?php
                    }
                }

               foreach($unik as $key){
                   if( $dataRuangan["$key"]['jumlah_asuhan_k'] > 0){
                    ?>
                    <tr>
                        <td class="td" align="center"><?= $nomor++ ?></td>
                        <td class="td">Asuhan Keperawatan</td>
                        <td class="td"> <?= $dataRuangan["$key"]['ruang_asuhan_k'] ?></td>
                        <td class="td"><?= $dataRuangan["$key"]['jumlah_asuhan_k'] ?></td>
                        <td class="td" align="right" style="padding-right: 3px"><?= number_format($dataRuangan["$key"]['billing_asuhan_k'], 0, ',', '.') ?></td>
                    </tr>
                    <?php
                   }
               }
               foreach($unik as $key){
                    if( $dataRuangan["$key"]['jumlah_konsul_gizi'] > 0){
                    ?>
                    <tr>
                        <td class="td" align="center"><?= $nomor++ ?></td>
                        <td class="td">Konsul & Asuhan Gizi</td>
                        <td class="td"> <?= $dataRuangan["$key"]['ruang_konsul_gizi'] ?></td>
                        <td class="td"><?= $dataRuangan["$key"]['jumlah_konsul_gizi'] ?></td>
                        <td class="td" align="right" style="padding-right: 3px"><?= number_format($dataRuangan["$key"]['billing_konsul_gizi'], 0, ',', '.') ?></td>
                    </tr>
                    <?php
                    }
                }

                foreach($unik as $key){
                    if( $dataRuangan["$key"]['jumlah_konsul_dokter'] > 0){
                     ?>
                     <tr>
                         <td class="td" align="center"><?= $nomor++ ?></td>
                         <td class="td"><?= $dataRuangan["$key"]['keterangan_konsul_dokter'] ?></td>
                         <td class="td"> <?= $dataRuangan["$key"]['ruang_konsul_dokter'] ?></td>
                         <td class="td"><?= $dataRuangan["$key"]['jumlah_konsul_dokter'] ?></td>
                         <td class="td" align="right" style="padding-right: 3px"><?= number_format($dataRuangan["$key"]['billing_konsul_dokter'], 0, ',', '.') ?></td>
                     </tr>
                     <?php
                    }
                }

               $unikVisite = array_unique($keyVisite);
               foreach($unikVisite as $key){
                   if(empty($dataRuangan["$key"]['billing'])){
                       continue;
                   }
                 ?>
                 <tr>
                     <td class="td" align="center"><?= $nomor++ ?></td>
                     <td class="td"><?= $dataRuangan["$key"]['keterangan'] ?></td>
                     <td class="td"> <?= $dataRuangan["$key"]['ruang'] ?> </td>
                     <td class="td"><?= $dataRuangan["$key"]['qty'] ?></td>
                     <td class="td" align="right" style="padding-right: 3px"><?= number_format($dataRuangan["$key"]['billing'], 0, ',', '.') ?></td>
                 </tr>
                <?php
                }
}
                ?>

                <?php if( $qty_lab > 0 ){ ?>
                    <tr>
                    <td class="td" align="center"><?= $nomor++ ?></td>
                    <td class="td">Laboratorium</td>
                    <td class="td"> <?= '' ?></td>
                    <td class="td"><?= $qty_lab ?></td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($jumlah_lab, 0, ',', '.') ?></td>
                </tr>
                <?php } ?>

                <?php if( $qty_rad > 0 ){ ?>
                    <tr>
                    <td class="td" align="center"><?= $nomor++ ?></td>
                    <td class="td">Radiologi</td>
                    <td class="td"> <?= '' ?></td>
                    <td class="td"><?= $qty_rad ?></td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($jumlah_rad, 0, ',', '.') ?></td>
                </tr>
                <?php } ?>

                <?php if( $qty_obat_alkes > 0 ){ ?>
                <tr>
                    <td class="td" align="center"><?= $nomor++ ?></td>
                    <td class="td">Obat + Alkes</td>
                    <td class="td"> <?= '' ?></td>
                    <td class="td"><?= $qty_obat_alkes ?></td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($jumlah_obat_alkes, 0, ',', '.') ?></td>
                </tr>
                <?php } ?>


                <?php if ($totalSudah > 0) { ?>
                <tr>
                    <td colspan="4" class="td" style="text-align: right">&nbsp; Sudah Terbayar</td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($totalSudah, 0, ',', '.')?></td>
                </tr>
                <?php } ?>
                <?php if ($totalBelum > 0) { ?>
                <tr>
                    <td colspan="4" class="td" style="text-align: right">&nbsp; Jumlah</td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($totalBelum, 0, ',', '.')?></td>
                </tr>
                <?php } ?>
                <?php if ($Retur > 0) { ?>
                <tr>
                    <td colspan="4" class="td" style="text-align: right">&nbsp; Retur</td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($Retur, 0, ',', '.')?></td>
                </tr>
                <?php } ?>
                <?php if ($Discount > 0) { ?>
                    <tr>
                        <td colspan="4" class="td" style="text-align: right">&nbsp; Discount</td>
                        <td class="td" align="right" style="padding-right: 3px"><?= number_format($Discount, 0, ',', '.')?></td>
                    </tr>
                <?php } ?>
                <?php if ($TagihanSelisihKelas > 0) { ?>
                    <tr>
                        <td colspan="4" class="td" style="text-align: right">&nbsp; Tagihan Selisih Kelas</td>
                        <td class="td" align="right" style="padding-right: 3px"><?= number_format($TagihanSelisihKelas, 0, ',', '.')?></td>
                    </tr>
                <?php } ?>
                <tr style="display: none;">
                    <td colspan="4" class="td" style="text-align: right">&nbsp; Total Tagihan</td>
                    <td class="td" align="right" style="padding-right: 3px"><?= number_format($TagihanSelisihKelas > 0 ? $TagihanSelisihKelas : $totalBelum - $Retur - $Discount, 0, ',', '.')?></td>
                </tr>

                </tbody></table>

            <table width="100%" cellspacing="0" cellpadding="3" border="0">
                <tbody><tr>
                    <td width="100%"></td>
                </tr>
                </tbody></table>
            <table class="table" width="100%" cellspacing="0" cellpadding="3" border="0">
                <tbody><tr>
                    <td width="76%" align="center"><h5></h5></td>
                    <td width="24%" align="center"><table width="100%" border="0">
                            <tbody><tr>
                                <td width="42%"><div align="center">
                                        Pemerinci,

                                        <p>&nbsp;</p>
                                        (  ______________  )
                                    </div></td>
                            </tr>
                            </tbody></table></td>
                </tr>
                </tbody></table>
        </td>
    </tr>
    </tbody></table>
<br>
<h5>&nbsp;</h5>
<script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<script language="javascript" type="text/javascript">
    function printE(){
        cetakElectron('dotmetric', window.location.href);
    }

    function kembali() {
        window.history.back();
    }
</script>

</body></html>
<?php } ?>
