<?php
include_once __DOCROOT__ . __SUBDIRECTORY__ . '/classes/controller/PatientNursingBilling.class.php';
$strId = System::GetValue('Id',null);
$strPaymentActivityId = System::GetValue('payment_activity_id',null);
$strPatientNursingId = System::GetValue('patient_nursing_id',null);
if ($strId)
    $_POST['payment_kediri_id'] = $strId;
else {
    $_POST['payment_activity_id'] = $strPaymentActivityId;
}
$_POST['patient_nursing_id'] = $strPatientNursingId;
$objHmisPatientNursing = HmisPatientNursing::LoadById($strPatientNursingId);
$arrData = PatientNursingBilling::RincianBiayaKediri(false);
//$arrData = json_decode($strJson);
$strType = $objHmisPatientNursing->NursingCategory == '3' ? 'RAWAT INAP' : ($objHmisPatientNursing->NursingCategory == '2' ? 'RAWAT DARURAT' : 'RAWAT JALAN');

//
$strHmisPatientNursingPaymentKediri = HmisPatientNursingPaymentKediri::LoadByPaymentActivityId($strPaymentActivityId);
//

?>
<html><head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print
        {
            .noprint {display:none;}
        }
        @media print{ @page {
            size: potrait;
            margin-top: 0cm;
            margin-bottom: 1cm;
            margin-left: 1cm;
            margin-right: 1cm;
        }}
        table thead {display: table-header-group;}
        .rincian th {
            text-transform: uppercase;
            text-align: center;
            font-weight: bold;
        }
        .rincian thead th { padding: 9px 0; }
        .rincian tfoot th { padding: 4px 0; text-align: right; padding-right: 5px; }
        .rincian tbody tr td:nth-child(2),
        .rincian tbody tr td:nth-child(3),
        .rincian tbody tr td:nth-child(4),
        .rincian tbody tr td:nth-child(5) {
            text-align: right;
            padding-right: 5px;
        }
        .rincian tbody {
            border: 1px solid #000;
            border-collapse:collapse;
        }
        .rincian tbody td {
            border: none;
            border-left: 1px solid #000;
            border-right: 1px solid #000;
        }
        .rincian tr.bordered {
            border-top: 1px solid #000;
        }
        .table {
            border: .0em solid #666;border-collapse:collapse;
            width:900;
        }
        .td {

            border: 1px solid #666; font-size:16px; line-height: 20px;
            vertical-align:middle; padding:1px; font-family:"Arial"; height:30;
        }
        <!-- th { text-align:left; font-size:15px; font-weight:bold; } -->
        h2 { margin-bottom: 0; }
    </style>

</head>
<body>
<div class="noprint">
    <a href="#" onclick="kembali()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
    <!-- <a href="../../print.php?tp=5&id=RI.16.00056128"><img src='../../assets/images/print-icon.png' alt="" width='30' height='30' title='Print Dot Matrix' /></a> -->
    <a href="#" onclick="print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a>
    <!-- <a href="#"  onclick="tableToExcel('testTable')"><img id="expxls" name="expxls" src="../../assets/images/excel_icon_50.gif" alt="Excel" width="28" height="28" border="0"/></a> -->
</div>
<table width="800" cellspacing="0" cellpadding="1" border="0">
    <tbody>
        <tr>
            <td colspan="3">
                <table width="100%">
                    <tbody>
                        <tr>
                            <td style="text-align: right">
                                <?php $pathFoto = '/assets/images/picture_left.jpg'; ?>
                                <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                                <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                                <?php } else { ?>
                                        &nbsp;
                                <?php } ?>
                            </td>
                            <td>
                                <h3 style="text-align: center; margin: 0;"><?= System::getPublicVariable('nama') ?></h3>
                                <h3 style="text-align: center; margin: 0;">BUKTI PEMBAYARAN (KUITANSI)</h3>
                                <h4 style="text-align: center; margin: 0;"><?= System::getPublicVariable('alamat') ?></h4>
                            </td>
                            <td style="text-align: left">
                                <?php $pathFoto = '/assets/images/picture_right.jpg'; ?>
                                <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                                <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                                <?php } else { ?>
                                        &nbsp;
                                <?php } ?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>

    <tr>
        <td align="center">
            <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-bottom: 10px;">
                <tbody>
                <tr>
                    <hr style="border:double"></td>
                </tr>
                <tr>
                    <td colspan="4" class="tx"></td>
                </tr>
                <tr>
                    <td class="tx" width="30%"><strong>No</strong></td>
                    <td class="tx" width="70%">: -</td>
                </tr>
                <tr>
                    <td class="tx" width="30%"><strong>Sudah Terima Dari</strong></td>
                    <td class="tx" width="70%">: <?= $objHmisPatientNursing->FullName ?>, <?= $objHmisPatientNursing->TitleName ?> ( <?= $objHmisPatientNursing->Mr ?>)</td>
                </tr>
                <tr>
                    <td class="tx" width="30%"><strong>Jumlah Biaya</strong></td>
                    <td class="tx" width="70%">: <?= number_format($strHmisPatientNursingPaymentKediri->TagihanAkhir, 0, ',', '.')?></td>
                </tr>
                <tr>
                    <td class="tx" width="30%"><strong>Terbilang</strong></td>
                    <td class="tx" width="70%">:<b><i> <span id="terbilang"></span> rupiah </i></b></td>
                </tr>
                <tr>
                    <td class="tx" width="30%"><strong>Buat Pembayaran</strong></td>
                    <td class="tx" width="70%">: 

                            <?php
                            echo $objHmisPatientNursing->DepartmentName;
                            // $strDetail = '';
                            // if ($arrData['KAMAR']){
                            //     $strDetail .= $arrData['KAMAR']['jumlah'] . ' ' . $arrData['KAMAR']['satuan'] .'hari perawatan, ';
                            // }

                            // if (count($arrData['VISITE']) > 0){
                            //     $strDetail .= 'visite dokter, ';
                            // }

                            // if (count($arrData['KONSUL SPESIALIS']) > 0) {
                            //     $strDetail .= 'Konsul dokter spesialis, ';
                            // }

                            // if ($arrData['ASUHAN KEPERAWATAN']) {
                            //     $strDetail .= 'asuhan keperawatan, ';
                            // }

                            // if ($arrData['KONSUL GIZI']) {
                            //     $strDetail .= 'konsul gizi, ';
                            // }

                            // if ($arrData['ASUHAN GIZI']) {
                            //     $strDetail .= 'asuhan gizi, ';
                            // }

                            // if ($arrData['OPERATIF']) {
                            //     $strDetail .= 'Tindakan Operasi, ';
                            // }

                            // if ($arrData['OBAT-ALKES']) {
                            //     $strDetail .= 'Obat + Alkes, ';
                            // }

                            // if ($arrData['NON-OPERATIF']) {
                            //     $strDetail .= 'tindakan keperawatan, ';
                            // }

                            // if ($arrData['PENUNJANG']) {
                            //     $strDetail .= 'tindakan penunjang, ';
                            // }

                            // if ($arrData['LAIN-LAIN']) {
                            //     $strDetail .= 'dan lain-lain. ';
                            // }

                            // echo $strDetail;
                            ?>

                    </td>
                </tr>
                </tbody>
            </table>

            <br><br><br>

            <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-bottom: 10px;">
                <tbody>
                <tr>
                    <td class="tx" width="30%"><strong>Jumlah Biaya</strong></td>
                    <td class="tx" width="70%">: <b><u>Rp <?= number_format($strHmisPatientNursingPaymentKediri->TagihanAkhir, 0, ',', '.')?></u></b></td>
                </tr>
                </tbody>
            </table>

            <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-bottom: 10px;">
                <tbody>
                <tr>
                    <td class="tx" width="70%"><strong></strong></td>
                    <?php if($objHmisPatientNursing->NursingCategory == 3){?>
                        <td class="tx" width="30%">Kediri, <?= $objHmisPatientNursing->NursingEndDate ? $objHmisPatientNursing->NursingEndDate->PhpDate('d/m/Y') : ''?></td>
                    <?php }else{ ?>
                        <td class="tx" width="30%">Kediri, <?= $objHmisPatientNursing->NursingStartDate ? $objHmisPatientNursing->NursingStartDate->PhpDate('d/m/Y') : ''?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx" width="70%"><strong></strong></td>
                    <td class="tx" width="30%" style="text-align: center;">Kasir,</td>
                </tr>
                </tbody>
            </table>
            <br>
            <br>
            <br>
            <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-bottom: 10px;">
                <tbody>
                <tr>
                    <td class="tx" width="70%"><strong></strong></td>
                    <td class="tx" width="30%"><div style="width: 90%; border-style:none none solid none;"> </div></td>
                </tr>
                </tbody>
            </table>
        </td>
    </tr>
</table>
<br>
<h5>&nbsp;</h5>
<script language="javascript" type="text/javascript">
    var data = <?= json_encode($arrData)?>;
    function kembali() {
        window.history.back();
    }
</script>

<script charset="utf-8" type="text/javascript">
function terbilang(bilangan){
    // var bilangan=document.getElementById("nominal").value;
    var kalimat="";
    var angka   = new Array('0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0');
    var kata    = new Array('','Satu','Dua','Tiga','Empat','Lima','Enam','Tujuh','Delapan','Sembilan');
    var tingkat = new Array('','Ribu','Juta','Milyar','Triliun');
    var panjang_bilangan = bilangan.length;
     
    /* pengujian panjang bilangan */
    if(panjang_bilangan > 15){
        kalimat = "Diluar Batas";
    }else{
        /* mengambil angka-angka yang ada dalam bilangan, dimasukkan ke dalam array */
        for(i = 1; i <= panjang_bilangan; i++) {
            angka[i] = bilangan.substr(-(i),1);
        }
         
        var i = 1;
        var j = 0;
         
        /* mulai proses iterasi terhadap array angka */
        while(i <= panjang_bilangan){
            subkalimat = "";
            kata1 = "";
            kata2 = "";
            kata3 = "";
             
            /* untuk Ratusan */
            if(angka[i+2] != "0"){
                if(angka[i+2] == "1"){
                    kata1 = "Seratus";
                }else{
                    kata1 = kata[angka[i+2]] + " Ratus";
                }
            }
             
            /* untuk Puluhan atau Belasan */
            if(angka[i+1] != "0"){
                if(angka[i+1] == "1"){
                    if(angka[i] == "0"){
                        kata2 = "Sepuluh";
                    }else if(angka[i] == "1"){
                        kata2 = "Sebelas";
                    }else{
                        kata2 = kata[angka[i]] + " Belas";
                    }
                }else{
                    kata2 = kata[angka[i+1]] + " Puluh";
                }
            }
             
            /* untuk Satuan */
            if (angka[i] != "0"){
                if (angka[i+1] != "1"){
                    kata3 = kata[angka[i]];
                }
            }
             
            /* pengujian angka apakah tidak nol semua, lalu ditambahkan tingkat */
            if ((angka[i] != "0") || (angka[i+1] != "0") || (angka[i+2] != "0")){
                subkalimat = kata1+" "+kata2+" "+kata3+" "+tingkat[j]+" ";
            }
             
            /* gabungkan variabe sub kalimat (untuk Satu blok 3 angka) ke variabel kalimat */
            kalimat = subkalimat + kalimat;
            i = i + 3;
            j = j + 1;
        }
         
        /* mengganti Satu Ribu jadi Seribu jika diperlukan */
        if ((angka[5] == "0") && (angka[6] == "0")){
            kalimat = kalimat.replace("Satu Ribu","Seribu");
        }
    }
    return kalimat;
}

var jumlahBayar = "<?= $strHmisPatientNursingPaymentKediri->TagihanAkhir ?>";
document.getElementById("terbilang").innerHTML= terbilang(jumlahBayar);
</script>

</body>
</html>
