<?php
include_once __DOCROOT__ . __SUBDIRECTORY__ . '/classes/controller/PatientNursingBilling.class.php';
$strId = System::GetValue('Id',null);
$strPaymentActivityId = System::GetValue('payment_activity_id',null);
$strPatientNursingId = System::GetValue('patient_nursing_id',null);
if ($strId)
    $_POST['payment_kediri_id'] = $strId;
else {
    $_POST['payment_activity_id'] = $strPaymentActivityId;
}
$_POST['patient_nursing_id'] = $strPatientNursingId;
$objHmisPatientNursing = HmisPatientNursing::LoadById($strPatientNursingId);
$arrData = PatientNursingBilling::RincianBiayaKediri(false);
//$arrData = json_decode($strJson);
// var_dump($arrData);
$strType = $objHmisPatientNursing->NursingCategory == '3' ? 'RAWAT INAP' : ($objHmisPatientNursing->NursingCategory == '2' ? 'RAWAT DARURAT' : 'RAWAT JALAN');

$no = 1;
?>
<html><head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print
        {
            .noprint {display:none;}
        }
        @media print{ @page {
            size: potrait;
            margin-top: 0cm;
            margin-bottom: 1cm;
            margin-left: 0cm;
            margin-right: 0cm;
        }}
        table thead {display: table-header-group;}
        .rincian th {
            text-transform: uppercase;
            text-align: center;
            font-weight: bold;
        }
        .rincian thead th { padding: 9px 0; }
        .rincian tfoot th { padding: 4px 0; text-align: right; padding-right: 5px; }
        .rincian tbody tr td:nth-child(3),
        .rincian tbody tr td:nth-child(4),
        .rincian tbody tr td:nth-child(1) {
            text-align: right;
            padding-right: 5px;
        }
        .rincian tbody {
            border: 1px solid #000;
            border-collapse:collapse;
        }
        .rincian tbody td {
            border: none;
            border-top: 1px solid #000;
            padding: 5px 10px;
        }
        .rincian tr.bordered1 {
            border-top: 1px solid #000;
        }
        .table {
            border: .0em solid #666;border-collapse:collapse;
            width:900;
        }
        .td {

            border: 1px solid #666; font-size:16px; line-height: 20px;
            vertical-align:middle; padding:1px; font-family:"Arial"; height:30;
        }
        <!-- th { text-align:left; font-size:15px; font-weight:bold; } -->
        h2 { margin-bottom: 0; }
    </style>

</head><body><div class="noprint">
    <a href="#" onclick="kembali()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
    <!-- <a href="../../print.php?tp=5&id=RI.16.00056128"><img src='../../assets/images/print-icon.png' alt="" width='30' height='30' title='Print Dot Matrix' /></a> -->
    <a href="#" onclick="print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a>
    <!-- <a href="#"  onclick="tableToExcel('testTable')"><img id="expxls" name="expxls" src="../../assets/images/excel_icon_50.gif" alt="Excel" width="28" height="28" border="0"/></a> -->
    <?php if($objHmisPatientNursing->NursingCategory == '3'){ ?>
        <div style="background-color: pink; padding: 15px 0">
            Dalam Perbaikan 
            <!-- CETAKAN INI BUKAN UNTUK PASIEN RAWAT INAP -->
        </div>
    <?php } ?>
</div>
<table width="800" cellspacing="0" cellpadding="1" border="0">
    <tbody>
         <tr> 
            <td colspan="3">
                <table width="100%">
                  <tbody>
                  <tr>
                    <td style="text-align: right">
                    <?php $pathFoto = '/assets/images/picture_left.jpg'; ?>
                    <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                        <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                    <?php } else { ?>
                        &nbsp;
                    <?php } ?>
                    </td>
                    <td>
                                <h3 style="text-align: center; margin: 0;"><?= System::getPublicVariable('nama') ?></h3>
                                <h3 style="text-align: center; margin: 0;">RINCIAN BIAYA <?= $strType ?></h3>
                                <h4 style="text-align: center; margin: 0;"><?= System::getPublicVariable('alamat') ?></h4>
                    </td>

                  </tr>
                  </tbody>
                </table>
                </td>
            </tr> 

    <tr>
        <td align="center">
            <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-bottom: 10px;">
                <tbody>
                <tr>
                    <hr style="border:double"></td>
                </tr>
                <tr>
                    <td colspan="4" class="tx"></td>
                </tr>
                <tr>
                    <td class="tx" width="10%"><strong>No Nota</strong></td>
                    <td class="tx" width="25%">: -</td>
                    <td class="tx" width="10%"><strong>Cara Bayar</strong></td>
                    <td class="tx" width="25%">: <?= $objHmisPatientNursing->ContractServiceName ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>
                    <td class="tx" width="10%"><strong>TMRS</strong></td>
                    <td class="tx" width="20%">: <?= $objHmisPatientNursing->NursingStartDate->PhpDate('d/m/Y')?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx"><strong>No RM</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->Mr ?></td>
                    <td class="tx"><strong><?= $objHmisPatientNursing->NursingCategory == '3' ? 'Ruangan' : 'Poli'?></strong></td>
                    <td class="tx">: <?= str_replace(array('RUANG ', 'POLI '), array('', ''), $objHmisPatientNursing->DepartmentName) ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>
                    <td class="tx" width="10%"><strong>TKRS.</strong></td>
                    <td class="tx" width="20%">: <?= $objHmisPatientNursing->NursingEndDate ? $objHmisPatientNursing->NursingEndDate->PhpDate('d/m/Y') : ''?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx"><strong>Nama Pasien</strong></td>
                    <td class="tx">: <?= ucwords(strtolower($objHmisPatientNursing->FullName)) ?>, <?= $objHmisPatientNursing->TitleName ?></td>
                    <?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>
                    <td class="tx"><strong>Kelas Tind.</strong></td>
                    <td class="tx">: <?= $objHmisPatientNursing->PresentClassName ?></td>
                    <?php } else { ?>
                    <td class="tx">&nbsp;</td>
                    <td class="tx">&nbsp;</td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="tx"><strong>Alamat</strong></td>
                    <td colspan="3" class="tx">: <?= $objHmisPatientNursing->DomicilyAddress ? $objHmisPatientNursing->DomicilyAddress : $objHmisPatientNursing->Address ?></td>
                </tr>
                </tbody>
            </table>

            <table class="table rincian" width="100%" cellspacing="0" cellpadding="3" border="1">
                <thead>
                    <tr>
                        <th width="40">No</th>
                        <th>Uraian</th>
                        <th>Qty</th>
                        <th>Jumlah</th>
                    </tr>
                </thead>
                <tbody>
                    <?php if ($arrData['KAMAR']) {?>
                    <tr class="bordered">
                        <td><?= $no++ ?></td>
                        <td>Hari Perawatan</td>
                        <td><?= $arrData['KAMAR']['jumlah'] . ' ' . $arrData['KAMAR']['satuan']?></td>
                        <td><?= number_format($arrData['KAMAR']['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php if (count($arrData['VISITE']) > 0) {?>
                    <tr class="bordered">
                        <td><?= $no++ ?></td>
                        <td>Visite</td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['VISITE'] as $item) { ?>
                    <tr>
                        <td></td>
                        <td>&nbsp;&nbsp;- &nbsp;<?= $item['dokter']?></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php } ?>
                    <?php if (count($arrData['KONSUL SPESIALIS']) > 0) {?>
                    <tr class="bordered">
                        <td><?= $no++ ?></td>
                        <td>Konsul</td>
                        <td></td>
                        <td></td>
                    </tr>
                    <?php foreach($arrData['KONSUL SPESIALIS'] as $item) { ?>
                    <tr>
                        <td></td>
                        <td>&nbsp;&nbsp;- &nbsp;<?= $item['dokter'] ? $item['dokter'] : '??' ?></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php } ?>
                    <?php if ($arrData['ASUHAN KEPERAWATAN']) {?>
                    <tr class="bordered">
                        <td><?= $no++ ?></td>
                        <td>Asuhan Keperawatan</td>
                        <td></td>
                        <td><?= number_format($arrData['ASUHAN KEPERAWATAN']['total'], 0, ',', '.') ?></td>
                    </tr>

                    <?php } ?>
                    <?php if ($arrData['KONSUL GIZI']) {
                        $gizi1 = $arrData['KONSUL GIZI'] ? $arrData['KONSUL GIZI']['total'] : 0;
                        $gizi2 = $arrData['ASUHAN GIZI'] ? $arrData['ASUHAN GIZI']['total'] : 0; ?>
                    <tr class="bordered">
                        <td><?= $no++ ?></td>
                        <td>Konsul &amp; Asuhan Gizi</td>
                        <td></td>
                        <td><?= number_format($gizi1 + $gizi2, 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php if ($arrData['OPERATIF']) {
                        $operatif = 0;
                        foreach($arrData['OPERATIF'] as $item) {
                            $operatif += $item['total'];
                        }
                        ?>
                    <tr class="bordered">
                        <td><?= $no++ ?></td>
                        <td>Tindakan Operatif</td>
                        <td></td>
                        <td><?= number_format($operatif, 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <!-- TODO TINDAKAN KAMAR BERSALIN BAGAIMANA ? -->
                    <?php if ($arrData['NON-OPERATIF']) {
                        $nonoperatif = 0;
                        foreach($arrData['NON-OPERATIF'] as $item) {
                            $nonoperatif += $item['total'];
                        }
                        ?>
                        <tr class="bordered">
                            <td><?= $no++ ?></td>
                            <td>Tindakan Keperawatan</td>
                            <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td> <!-- Jejak Jejak -->
                            <td><?= number_format($nonoperatif, 0, ',', '.') ?></td>
                        </tr>
                    <?php } ?>
                    <?php if ($arrData['OBAT-ALKES']) {?>
                    <tr class="bordered">
                        <td><?= $no++ ?></td>
                        <td><strong>OBAT+ALKES</strong></td>
                        <td></td>
                        <td><?= number_format($arrData['OBAT-ALKES']['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php if ($arrData['PENUNJANG']) {?>
                    <?php foreach($arrData['PENUNJANG'] as $item) { ?>
                    <tr>
                        <td><?= $no++ ?></td>
                        <td><?= $item['nama']?></td>
                        <td><?= $item['jumlah'] . ' ' . $item['satuan']?></td>
                        <td><?= number_format($item['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                    <?php } ?>
                    <?php if ($arrData['LAIN-LAIN']) {?>
                    <tr class="bordered">
                        <td><?= $no++ ?></td>
                        <td><strong>LAIN-LAIN</strong></td>
                        <td></td>
                        <td><?= number_format($arrData['LAIN-LAIN']['total'], 0, ',', '.') ?></td>
                    </tr>
                    <?php } ?>
                </tbody>
                <tfoot>
                    <tr>
                        <th></th>
                        <th colspan="2">TOTAL</th>
                        <th><?= number_format($arrData['__TOTAL'], 0, ',', '.')?></th>
                    </tr>
                    <tr>
                        <th></th>
                        <th colspan="2">RETUR</th>
                        <th><?= number_format($arrData['RETURN-OBAT-ALKES']['total'], 0, ',', '.') ?></th>
                    </tr>
                    <?php 
                        $totalBiayaAkhir = $arrData['__TOTAL'] - $arrData['RETURN-OBAT-ALKES']['total'];
                    ?>
                    <?php
                        $jumlahDiskon = 0;
                        $objPaymentKediri = HmisPatientNursingPaymentKediri::QuerySingle(QQ::OrCondition(
                            QQ::Equal(QQN::HmisPatientNursingPaymentKediri()->ActivityId, $strPaymentActivityId)
                        ));

                        if($objPaymentKediri->TagihanAkhir){
                            $totalBiayaAkhir = $objPaymentKediri->TagihanAkhir;   
                        }
                        // var_dump($objPaymentKediri);
                        if ($objPaymentKediri->Discount) {
                            $jumlahDiskon = $objPaymentKediri->Discount;
                    ?>
                    <tr>
                        <th></th>
                        <th colspan="2">DISKON</th>
                        <th><?= number_format($jumlahDiskon, 0, ',', '.') ?></th>
                    </tr>
                    <?php 
                        } 
                    ?>
                    <?php if($totalBiayaAkhir){?>
                    <tr>
                        <th></th>
                        <th colspan="2">TOTAL BIAYA</th>
                        <th><?= number_format($totalBiayaAkhir, 0, ',', '.') ?></th>
                    </tr>
                    <?php } ?>
                </tfoot>
            </table>

            <table class="table" width="100%" cellspacing="0" cellpadding="3" border="0" style="margin-top: 15px;">
                <tbody><tr>
                    <td width="76%" align="center"><h5></h5></td>
                    <td width="24%" align="center"><table width="100%" border="0">
                            <tbody><tr>
                                <td width="42%"><div align="center">
                                        Pemerinci,

                                        <p>&nbsp;</p>
                                        (  ______________  )
                                    </div></td>
                            </tr>
                            </tbody></table></td>
                </tr>
                </tbody></table>
        </td>
    </tr>
    </tbody></table>

<br>
<h5>&nbsp;</h5>
<script language="javascript" type="text/javascript">
    var data = <?= json_encode($arrData)?>;
    function kembali() {
        window.history.back();
    }
</script></body></html>
