<?php
 
$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);

$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

// if($objGet->nursing_category) {
   // $SQLWhereContractService .= " AND activity_nursing.nursing_category = '".$objGet->nursing_category."' ";
// }

// if($objGet->contract_service){
   // $SQLWhereContractService .= " AND activity_nursing.contract_service_id = '".$objGet->contract_service."' ";
// }

$objDb = QApplication::$Database[1];
        $strSQL = "
        SELECT 
                hmis_patient_nursing_adm_billing.patient_nursing_id,
		hmis_patient_nursing_adm_billing.patient_code,
		hmis_patient_nursing_adm_billing.patient_name,
                hmis_patient_nursing_adm_billing.patient_department_name,
                hmis_patient_nursing_adm_billing.product_id,
                hmis_patient_nursing_adm_billing.product_name,
                hmis_patient_nursing_adm_billing.product_code,
                substring(hmis_patient_nursing_adm_billing.billing_group,1,3) AS billing_group ,
		hmis_patient_nursing_adm_billing.activity_department_name,
		hmis_patient_nursing_adm_billing.profile,
		convert_to_json(hmis_patient_nursing_adm_billing.profile)->>'Tanggal' AS tanggal,
		hmis_patient_nursing_adm_billing.personal_payment,
		hmis_patient_nursing_adm_billing.contract_service_name,
		hmis_patient_nursing_adm_billing.current_billing,
		hmis_patient_nursing_payment_kediri.create_user,
		hmis_patient_nursing_payment_kediri.create_time,
                hmis_patient_nursing_payment_kediri.activity_on_partition,
                hmis_patient_nursing_payment_kediri.is_paid,
		hmis_patient_nursing_adm_billing.mediator_name,
		hmis_patient_nursing_adm_billing.personal_payment
    
        FROM
            hmis_patient_nursing_adm_billing LEFT JOIN hmis_patient_nursing_payment_kediri ON 
	    hmis_patient_nursing_payment_kediri.payment_cashier = hmis_patient_nursing_adm_billing.personal_payment_activity_id

	WHERE
	    hmis_patient_nursing_adm_billing.state = 'A'
	    -- AND ( COALESCE ( convert_to_json(activity_nursing_adm_billing.profile)->>'Tanggal' , activity_nursing_adm_billing.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
            AND ( hmis_patient_nursing_payment_kediri.create_time::TEXT::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	    AND hmis_patient_nursing_payment_kediri.is_paid='1'
	    AND (hmis_patient_nursing_adm_billing.contract_service_name = 'RENCANA PENJAMINAN' OR hmis_patient_nursing_adm_billing.contract_service_name = 'UMUM')
            -- $SQLWhereContractService
        ORDER BY hmis_patient_nursing_payment_kediri.create_time ASC
        ";
$objDbResult = $objDb->Query($strSQL);

if($objGet->excel == 'excel'){
  header("Content-type: application/vnd-ms-excel");
  header("Content-Disposition: attachment; filename=laporan penerimaan kasir.xls");
}
$objUser = SystemUser::LoadById($objHmisPatientNursingAdmBilling->CreateUser);
$objProduct = HmisRefProduct::LoadById($objHmisPatientNursingAdmBilling->ProductName);             

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>LAPORAN PENERIMAAN KASIR</title>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
  font-size: 11px;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: #f2f2f2;}

.table tr:hover {background-color: #ddd;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #222;
  color: white;
}

@media print{
  .table th {
    background-color: white;
    color: black;
  }
  .noprint{
    display: none;
  }
}

    </style>
</head>

<body>

<div class="noprint">
    <a href="#" onclick="window.close()">
      <img src="/promedika/assets/user/images/arrow.jpg" title="print" width="30" height="30">
    </a>
    <button onclick="window.print()">CETAK</button>
        
</div>


<div class="container" style="margin-top: 20px; padding: 20px 40px">
<table id="tableLaporan" class="table">
      
    <thead>
      <tr>
            <th colspan="48">Laporan Penerimaan Kasir</th>
      </tr>
      <tr>
            <th></th>
            <th>PERIODE:</th>
            <th colspan="46" style="text-align: left"><?= $objGet->range ?></th>
      </tr>

      <tr>
            <th>NO.</th>
            <th>WAKTU</th>
            <th>MR</th>
            <th>NAMA PASIEN</th>
            <th>LAYANAN ASAL</th>
            <th>JAMINAN</th>
	    <th>DPJP</th>
            <th>KODE</th>
            <th>KETERANGAN</th>
	    <th>DOKTER PELAKSANAN</th>
	    <th>LAYANAN</th>
	    <!--
	    <th>JASA SARANA</th>
            <th>JASA PELAYANAN</th>
	    -->
	    <th>TOTAL</th>
	    <th>TERBAYAR</th>
            <th>KETERANGAN</th>
	    <th>PETUGAS</th>
      </tr>
    </thead>
    <tbody>
<?php
    $no = 1;
    while($row = $objDbResult->FetchArray())
	
    {
        $objUser = SystemUser::LoadById($row['create_user']);
        $objActivity = ActivityNursing::LoadById($row['patient_nursing_id']);
        $objProduct = HmisRefProduct::LoadById($row['product_id']);
        if($objProduct){
            $valJasaSarana = $objProduct->JasaSarana;
            $valJasaPelayanan = $objProduct->JasaPelayanan;
            $valJasaAdmin = $objProduct->JasaPelayanan * $objProduct->JasaAdmin;
            if($objProduct->RequestServiceToDepartmentId) {
               $objDepartment = SystemDepartment::LoadById($objProduct->RequestServiceToDepartmentId);
            } 
	    else {
		$objDepartment = 0;
	    }
	    // $valJasaSarana = 1;
        }
	// $valJasaSarana = 1;

	// $objPayment = HmisPatientNursingPaymentKediri::LoadByPatientId($row['patient_id']);
	// if($objPayment){
	   // $valCreateTime = $objPayment->CreateTime;
	   // if($objPayment->CreateUser){
	   //   $valCreateUser = SystemUser::LoadById($objPayment->CreateUser);
	   // }
	// }

?>
        <tr>
            <td><?= $no ?></td>
            <td><?=  $row['create_time'] ?></td>
            <td><?= $row['patient_code'] ?></td>
            <td><?= $row['patient_name'] ?></td>
	    <!--
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ? $row['patient_code'] : '' ?></td>
            <td><?= ( $row['patient_name'] != $strLastPatientNama ) ?  $row['patient_name'] : '' ?></td>
	    -->
	    <td><?= $row['patient_department_name'] ?></td>
            <td><?= $row['contract_service_name'] ?></td>
            <td><?= $objActivity->DoctorName; ?></td>
            <td><?= $row['product_code'] ?></td>
            <td><?= $row['product_name'] ?></td>
	    <?php
	    	$tanggal1=$row['product_name']='PELAYANAN REKAM MEDIK' ? $row['create_time'] : $row['tanggal'] 
	    ?>
            <!--<td><?=  $objUser->FullName; ?></td>-->
            <!--<td><?= $row['tanggal'] ?></td>-->
	    <td><?= $row['mediator_name'] ?></td>
            <td><?= $objDepartment ? $objDepartment->Name : $row['activity_department_name'] ?></td>
		    <td><?= number_format ($row['current_billing']) ?></td>
	    <td><?= number_format ($row['personal_payment']) ?></td>
            <?php
		  if($row['is_paid'] == "1"){
		    $status = "Terbayar";
		  }else if($row['is_paid'] == "2"){
		    $status = "Permintaan Refund";
		  }else if($row['is_paid'] == "3"){
		    $status = "Telah Refund";
		  }else if($row['is_paid'] == " "){
		    $status = "Belum Terbayar";
		  }
		 ?>
	    <td><?= $status ?></td>
	    <td><?= $objUser->FullName; ?></td>
        </tr>
<?php
        $strLastPatientNama = $row['patient_name'];
        $no++;
    }
// }
?>
</tbody>
</table>
</div>


<script src="<?= __ASSETS__ ?>/default/js/jquery-2.1.3.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/jquery.tableToExcel.js"></script>
<script>
function ubahExcel() {
    $('#tableLaporan').tblToExcel({
        complete: function () {
            // do something
            return true;
        }
    });
}
    
</body>
</html>
<?php
 $arrayProfileTime = System::getProfiling();
 System::saveFullProfiling(null, 'Report', 'Report Register', 'Report', 'REPORT REGISTER', floatval($arrayProfileTime['profileTime']));
?>