<?php
$pageTitle = 'Pembayaran Via Kasir';
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');
?>
<style>
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }
    table.dataTable tfoot th, table.dataTable tfoot td {
        padding: 4px 6px;
    }
</style>
<script>
    var strBillingValidationId = null;
    var strTotalTagihan = null;
    var strTagihanAkhir = null;
    var strTagihanSelisihKelas = null;
    var strDiscount = null;
    var strRetur = null;
    var strPatientNursingId = null;
    var strPaymentActivityId = null;
    var strId = null;
</script>
<div class="col-xs-12">
    <div class="input-group col-xs-12 animated fadeInRight" style="padding-bottom: 8px;">
        <div class="row">
            <div class="col-md-5">
                <input name="search_medical_record" id="search_medical_record" type="text" class="form-control" placeholder="Pencarian Penderita" autocomplete="off" tabindex="0" value="" >
            </div>
            <div class="col-md-7">
                <button type="button" class="btn btn-warning btn-sm pull-right" style="margin-left: 10px" id="refreshtombol" ><i class="fa fa-refresh"></i> Refresh</button>
                <button type="button" class="btn btn-success btn-sm pull-right" style="margin-left: 10px" id="cetakreport" ><i class="fa fa-print"></i> Cetak</button>
                <div id="rangeWaktu" class="pull-right" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; margin-left: 10px;">
                    <i class="glyphicon glyphicon-calendar fa fa-calendar"></i>
                    <span></span> <b class="caret"></b>
                </div>
                <div class="form-group pull-right" style="padding-right: 5px;margin-bottom: 0;">
                    <select id="pilih-department" class="form-control pull-right" style="width: 100px">
                        <option value="">Semua</option>
                        <option value="RAJAL">Rawat Jalan</option>
                        <option value="RANAP">Rawat Inap</option>
                        <option value="IGD">IGD</option>
                    </select>
                </div>
                <div class="form-group pull-right" style="padding-right: 10px;margin-bottom: 0;">
                    <select id="pilih-cara-bayar" class="form-control pull-right" style="width: 120px">
                        <option value="">Semua</option>
                        <?php $objContractService = HmisRefContractService::LoadAll(QQ::OrderBy(QQN::HmisRefContractService()->SortField)); ?>
                        <?php foreach ($objContractService as $item) { ?>
                            <option value="<?= $item->Id.'::'.$item->Code; ?>" ><?= $item->Name; ?></option>
                        <?php } ?>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="input-group col-xs-12 " >
        <style>
            table.dataTable thead tr {
                background-color: azure;
            }
            table.dataTable tbody th, table.dataTable tbody td {
                padding: 4px 6px; /* e.g. change 8x to 4px here */
                height: 15px;
            }
        </style>
        <div class="row">
            <div class="table-responsive col-md-12">
                <table id="payment-report" class="table table-striped table-bordered table-responsive dataTable" style="width:100%">
                    <tfoot>
                        <tr>
                            <th class="uniqueClassTextAlignRight" colspan="6">Grand Total</th>
                            <th></th>
                            <th></th>
                            <th></th>
                            <th></th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>

<div id="billing_detail" class="modal fade" role="dialog">
    <div class="modal-dialog" style="top: 25px; width: 1000px; border-radius: 5px; border: 3px solid #00a7d0;">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Rincian Tagihan</h4>
            </div>
            <div class="modal-body-search" style="max-height: 480px; overflow-y: scroll;">
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table id="billing_detail_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
                        <tfoot></tfoot>
                    </table>
                </div>
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                        <tr>
                            <td class="td" style="width: 400px;">Total Tagihan</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="total_tagihan" id="total_tagihan" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                        <tr class="discount">
                            <td class="td" style="width: 400px;">Discount</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="discount" id="discount" style="text-align: right;" value="0" readonly="">
                            </td>
                        </tr>
                        <tr class="retur">
                            <td class="td" style="width: 400px;">Retur</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="retur" id="retur" style="text-align: right;" value="0" readonly="">
                            </td>
                        </tr>
                        <tr class="selisih-kelas">
                            <td class="td" style="width: 400px;">Tagihan Selisih Kelas</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="tagihan_selisih_kelas" id="tagihan_selisih_kelas" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                        <tr>
                            <td class="td" style="width: 400px;">Total Tagihan Akhir</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="tagihan_akhir" id="tagihan_akhir" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="reset" class="btn btn-warning btn-sm" id="info-bayar" >Ulang Cetak</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" tabindex="299">Tutup</button>
            </div>
        </div>
    </div>
</div>

<div id="billing_summary" class="modal fade" role="dialog">
    <div class="modal-dialog" style="top: 25px; width: 1000px; border-radius: 5px; border: 3px solid #00a7d0;">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Rekap Tagihan</h4>
            </div>
            <div class="modal-body-search" style="max-height: 480px; overflow-y: scroll;">
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table id="billing_summary_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
                        <tfoot></tfoot>
                    </table>
                </div>
                <div class="input-group" style="width:96%; padding-left: 15px;" >
                    <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                        <tr>
                            <td class="td" style="width: 400px;">Total Tagihan</td>
                            <td class="td" style="width: 200px; text-align: right;">
                                <input type="text" class="form-control input-sm" name="summary_tagihan" id="summary_tagihan" style="text-align: right;" value="" readonly="">
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-warning" id="cetakrekap" tabindex="300">Cetak</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" tabindex="299">Close</button>
            </div>
        </div>
    </div>
</div>

<div id="template" style="display: none;">
    <div id="template-btn-group" class="btn-group">
        <button type="button" class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Pilih Aksi <span class="caret"></span>
        </button>
        <ul class="dropdown-menu">

        </ul>
    </div>
</div>

<?php
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
$start = QDateTime::Now();
?>

<script type="text/javascript">
    var isTablePatientNursingBillingDetailAvalilable = false;
    var isTablePatientNursingBillingSummaryAvalilable = false;

    $(document).ready(function() {
        var startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        $('#rangeWaktu span').html(startRange);

        $('#billing_detail').on('shown.bs.modal', function () {

            if (strTotalTagihan) $('#total_tagihan').val(strTotalTagihan);
            if (strTagihanAkhir) $('#tagihan_akhir').val(strTagihanAkhir);
            if (strTagihanSelisihKelas) {
                $('#tagihan_selisih_kelas').val(strTagihanSelisihKelas);
                $('.selisih-kelas').show();
            }else
                $('.selisih-kelas').hide();

            if (strDiscount) {
                $('#discount').val(strDiscount);
                $('.discount').show();
            }else
                $('.discount').hide();

            if (strRetur) {
                $('#retur').val(strRetur);
                $('.retur').show();
            }else
                $('.retur').hide();

            if(isTablePatientNursingBillingDetailAvalilable){
                $('#billing_detail_list').DataTable().search('').draw();
                return false;
            }
            isTablePatientNursingBillingDetailAvalilable = true;
            var selectedIndex = 0;
            var tablePatientNursingBillingDetail = $('#billing_detail_list').DataTable({
                "header": true
                ,"language": {
                    "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
                }
                , "processing": true
                , "serverSide": true
                , "paging": false
                , "info": true
                , "autoWidth": false
                , "pageResize": true
                , "scrollX": false
                , "scrollY": false
                , select: true
                , keys: true
                , "lengthChange": false
                , "ajax": {
                    'url' :'<?= QApplication::UrlActionCreator('PatientNursingBilling/BillingDetail') ?>'
                    , 'type' : 'POST'
                    , 'data': function(d) {
                        d.pageId = strPageId;
                        d.billing_validation_id = strBillingValidationId;
                        d.payment_activity_id = strPaymentActivityId;
                    }
                }
                , 'order': [[1,'asc']]
                , "columns": [
                    {
                        'title': 'No'
                        , 'data': 'No'
                        , 'width': '20px'
                        , 'searchable': true
                        // , 'sortable': true
                        , 'className': "uniqueClassTextAlignRight"
                    }
                    , {
                        'title': 'Tarif Tindakan / Obat'
                        , 'data': 'ProductName'
                        , 'width': '150'
                        , 'searchable': true
                        // , 'sortable': true
                    }
                    , {
                        'title': 'Tarif '
                        , 'data': 'CurrentBilling'
                        , 'width': '150'
                        , 'searchable': true
                        // , 'sortable': true
                        , 'className': "uniqueClassTextAlignRight"
                        , 'render': function (data, type, full, meta) {
                            return full.IsPaid ? '<i class="fa fa-check" style="color: green;"></i> ' + data : data;
                        }
                    }
                    , {
                        'title': 'Tarif '
                        , 'data': 'Billing'
                        , 'width': '150'
                        , 'searchable': false
                        // , 'sortable': true
                        , 'className': 'uniqueClassDisplayHidden'
                    }
                ],
                "footerCallback": function ( row, data, start, end, display ) {
                    $('#total_tagihan').val( tablePatientNursingBillingDetail.column( 3 ).data().sum().toLocaleString('id-ID') );
                }
            } );
            $(".dataTables_wrapper .row").hide();

            tablePatientNursingBillingDetail.on( 'draw.dt', function () {
                $(".dataTables_wrapper .row").hide();
                $('.dataTables_scrollBody').css({"overflow": "hidden"});
                $('#total_tagihan').val( tablePatientNursingBillingDetail.column( 3 ).data().sum().toLocaleString('id-ID') );
            } );
        });
        $('#billing_detail').on('hidden.bs.modal', function () {

        });

        $('#billing_summary').on('shown.bs.modal', function () {

            if(isTablePatientNursingBillingSummaryAvalilable){
                $('#billing_summary_list').DataTable().ajax.reload();
                return false;
            }
            isTablePatientNursingBillingSummaryAvalilable = true;
            var selectedIndex = 0;
            var tablePatientNursingBillingSummary = $('#billing_summary_list').DataTable({
                "header": true
                ,"language": {
                    "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
                }
                , "processing": true
                , "serverSide": true
                , "paging": true
                , "info": true
                , "autoWidth": false
                , "pageResize": true
                , "scrollX": false
                // , "sScrollX" : "110%"
                , "scrollY": false
                , select: true
                , keys: true
                , "lengthChange": true
                , "ajax": {
                    'url' :'<?= QApplication::UrlActionCreator('PatientNursingBilling/RekapTagihan') ?>'
                    , 'type' : 'POST'
                    , 'data': function(d) {
                        d.pageId = strPageId;
                        d.payment_activity_id = strPaymentActivityId;
                    }
                }
                , 'order': [[0,'asc']]
                , "columns": [
                    {
                        'title': '#'
                        , 'data': 'No'
                        , 'width': '30px'
                        , 'searchable': false
                        , 'render': function (data, type, full, meta) {
                            return full.Parent ? '<b>' + data + '</b>' : '';
                        }
                    }
                    , {
                        'title': 'Item'
                        , 'data': 'BillingGroupName'
                        , 'width': '90%'
                        , 'searchable': false
                        , 'render': function (data, type, full, meta) {
                            return full.Parent ? '<b>' + data + '</b>' : ' - ' + data;
                        }
                    }
                    , {
                        'title': 'Total'
                        , 'data': 'TotalBilling'
                        , 'width': '10%'
                        , 'searchable': true
                        , 'className': "uniqueClassTextAlignRight"
                        , 'render': function (data, type, full, meta) {
                            console.log('Row: ', full);
                            var r = rupiah(data);
                            return full.Parent ? '<b>' + r + '</b>' : r;
                        }
                    }
                ]
            } );
            $(".dataTables_wrapper .row").hide();

            tablePatientNursingBillingSummary.on( 'draw.dt', function () {
                $(".dataTables_wrapper .row").hide();
                $('.dataTables_scrollBody').css({"overflow": "hidden"});

                // Conditional Sum
                var total = tablePatientNursingBillingSummary.rows().data().filter(function(d) {return d.Parent;}).pluck('TotalBilling').sum();
                console.log('grand total ' + total);
                $('#summary_tagihan').val(rupiah(total));
                //$('#summary_tagihan').val( tablePatientNursingBillingSummary.column( 2 ).data().sum().toLocaleString('id-ID') );
            } );
        });

        $('#billing_summary').on('hidden.bs.modal', function () {

        });

        function confirmKasirBayar() {
            var formId = '<?= $formId ?>'; var formTime = '<?= $formTime?>';
            var request = $.post('<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/PatientNursingBilling/BayarKasirKediri' , { 'pageId' : sessionStorage.pageId , 'formId' : formId , 'formTime' : formTime, 'sendId' : strBillingValidationId});
            request.done(function(response){
                if(response.status == 'success')
                {
                    var first = response.status.substr(0,1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message,first+last);
                    $("#billing_detail").modal("hide");
                    cetakTagihan(response.activityId);
                    reload();
                }
                else
                {
                    var first = response.status.substr(0,1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message,first+last);
                }
            });
            request.fail(function() {
                toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
            });

            jQuery.fallr('hide',function(){});
        }

        function confirmKasirBayarCancel() {
            jQuery.fallr('hide',function(){});
            $('#billing_detail').modal('hide');
        }

        function cetakTagihan(activityId) {
            var strOption = 'page=<?= __PAGE__?>&activity_id=' + activityId;
            printPreview('invoice','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/print/') ?>',strOption);
            reload();
        }

        function cetakTagihanRincianKasir(activityId) {
            var strOption = 'page=<?= __PAGE__?>&activity_id=' + activityId;
            printPreview('invoice','<?= QApplication::UrlCreator('hmis-patient-payment-non-tunai/print-rincian-kasir/') ?>',strOption);
            reload();
        }

        $('#validasi').off('click').on('click',function(){
            jFallr("Mohon konfirmasi pembayaran<br>Benar [Ya/Tidak]?", confirmKasirBayar, confirmKasirBayarCancel);
        });

        // alert('<?= QApplication::UrlActionCreator('DemoControl/TableSource') ?>'+'/?'+'pageId='+strPageId);
        $("#search_medical_record").on("keypress", function (e) {
            // mencegah post
            if (e.keyCode == vk_RETURN) {
                e.preventDefault();
            }
        });
        $("#search_medical_record").on("input", function (e) {
            // mencegah post
            e.preventDefault();
            $('#payment-report').DataTable().search($(this).val()).draw();
            //$('#search_result_post_document_service').DataTable().search($(this).val()).draw();
        });

        $('#rangeWaktu').daterangepicker({
            format: 'DD/MM/YYYY',
            dateLimit: {days: 60},
            showDropdowns: true,
            showWeekNumbers: true,
            timePicker: false,
            timePickerIncrement: 1,
            timePicker12Hour: true,
            ranges: {
                'Hari ini': [moment(), moment()],
                'Kemarin': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                '7 Hari terakhir': [moment().subtract(6, 'days'), moment()],
                '30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
                'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
                'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            },
            opens: 'left',
            drops: 'down',
            buttonClasses: ['btn', 'btn-sm'],
            applyClass: 'btn-primary',
            cancelClass: 'btn-default',
            separator: ' to ',
            locale: {
                applyLabel: 'Submit',
                cancelLabel: 'Cancel',
                fromLabel: 'From',
                toLabel: 'To',
                customRangeLabel: 'Custom',
                daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm', 'Sb'],
                monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
                firstDay: 1
            }
        }, function (start, end, label) {
            var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
            $('#rangeWaktu span').html(newRange)
            reload();
        });

        var tablePre = $('#payment-report').DataTable({
            "dom": 't<"row"<"col-sm-5"i><"col-sm-7"p>>'
            , "header": true
            , "language": {
                "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">',
                "search": "<span>Cari:</span> ",
                "info": "Menampilkan <span>_START_</span> - <span>_END_</span> dari <span>_TOTAL_</span> entri",
                "lengthMenu": "<span>Tampilkan:</span> _MENU_",
                "zeroRecords": "Tidak ada data yang ditemukan"
            }
            , "processing": true
            , "serverSide": true
            , "paging": true
            , "info": true
            , "lengthChange": false
            //, "lengthMenu": [[10, 25, 50, 100 /* , -1 */], [10, 25, 50, 100 /* , "All" */]]
            , "lengthMenu": [50]
            //, "info": true
            , "autoWidth": true
            , "autoHeight": true
            , "pageResize": true
            , "pagingType": "full_numbers"
            //, "sScrollX" : "100%"
            //, "sScrollY" : "100"
            //, "select": false
            //, "keys": true
            , "destroy": true
            , "order": [[0, 'desc']]
            , "ajax": {
                'url': '<?= QApplication::UrlActionCreator('PatientNursingBilling/BillingReport') ?>',
                'type': 'POST',
                'data': function (d) {
                    d.pageId = strPageId;
                    //d.section = 'preService';
                    d.range = $('#rangeWaktu span').html();
                    d.department = $('#pilih-department').val();
                    d.contractService = $('#pilih-cara-bayar').val();
                    d.group = 'cashier';
                }
            }
            , "columns": [
                {
                    'title': 'Waktu'
                    , 'data': 'CreateTime'
                    , 'width': '200px'
                    , 'visible': true
                    , 'searchable': false
                    , 'sortable': true
                }
                , {
                    'title': 'RM'
                    , 'data': 'Mr'
                    , 'width': '10%'
                    , 'searchable': true
                    , 'sortable': true
                }
                , {
                    'title': 'Nama'
                    , 'data': 'FirstName'
                    , 'width': '20%'
                    , 'searchable': true
                    , 'sortable': true
                }
                , {
                    'title': 'Tempat Pelayanan'
                    , 'data': 'DepartmentName'
                    , 'width': '20%'
                    , 'searchable': true
                    , 'sortable': true
                }
                , {
                    'title': 'Cara Bayar'
                    , 'data': 'ContractServiceName'
                    , 'width': '15%'
                    , 'searchable': false
                    , 'sortable': true
                }
                , {
                    'title': 'Jenis'
                    , 'data': 'NursingCategory'
                    , 'width': '20px'
                    , 'searchable': false
                    , 'sortable': false
                    , 'render': function (data, type, full, meta) {
                        if (data == 1) return 'RJ';
                        else if (data == 2) return 'IGD';
                        else if (data == 3) return 'RI';
                        return '';
                    }
                }
                , {
                    'title': 'Total'
                    , 'data': 'TagihanAkhir'
                    , 'width': '220px'
                    , 'searchable': false
                    , 'sortable': true
                    , 'className': "uniqueClassTextAlignRight"
                }
                , {
                    'title': 'Pendaftaran'
                    , 'data': 'BillingAdmission'
                    , 'width': '10%'
                    , 'visible': false
                    , 'searchable': false
                    , 'sortable': true
                    , 'className': "uniqueClassTextAlignRight"
                }
                , {
                    'title': 'Tindakan'
                    , 'data': 'BillingTreatment'
                    , 'width': '10%'
                    , 'visible': false
                    , 'searchable': false
                    , 'sortable': true
                    , 'className': 'uniqueClassTextAlignRight'
                }
                , {
                    'title': 'Obat'
                    , 'data': 'BillingMedication'
                    , 'width': '10%'
                    , 'visible': false
                    , 'searchable': false
                    , 'sortable': true
                    , 'className': 'uniqueClassTextAlignRight'
                }
                , {
                    'title': 'Status'
                    , 'data': 'IsPaid'
                    , 'width': '5%'
                    , 'visible': true
                    , 'searchable': false
                    , 'sortable': true
                    , 'render': function (data, type, full, meta) {
                        var status = '<span style="background-color: #77f">Validasi</span>';
                        if(full.IsPaid == 1 && full.Terbayar){
                            status = '<span style="background-color: #7f7">Terbayar</span>';
                        }else if(full.IsPaid == 2){
                            status = 'Proses Refund';
                        }else if(full.IsPaid == 3){
                            status = '<span style="background-color: #f77">Telah Refund</span>';
                        }
                        return status;
                    }
                }
                , {
                    'title': 'Preview'
                    , 'data': 'PaymentActivityId'
                    , 'width': '14%'
                    , 'orderable': false
                    , 'searchable': false
                    , 'render': function (data, type, full, meta) {
                        //var teks = '<button class="btn btn-sm btn-success btnSummary" id="'+full.Id+'" data-id="'+full.PatientNursingId+'">Ringkas</button> ' +
                        //    '<button class="btn btn-sm btn-primary btnPreview" id="'+data+'">Detail</button>';
                        var tpl = $('#template-btn-group').clone();
                        if (tpl.length == 0) return '';
                        //tpl.find('button').html('Aksi <span class="caret"></span>');
                        var menu = tpl.find('ul.dropdown-menu');
                        menu.empty();
                        menu.append('<li><a data-id="'+data+'" href="#" class="btnSummary" id="'+full.Id+'" data-id="'+full.PatientNursingId+'">Rincian Kasir</a></li>')
                            .append('<li><a data-id="'+data+'" href="#" class="btnPreviewRincianKasir">Rincian Kasir (test)</a></li>')
                            .append('<li><a data-id="'+data+'" href="#" class="btnPreview">Detail</a></li>')
                            .append('<li><a data-id="'+data+'" href="#" class="btnPatient">Rincian Pasien</a></li>')
                            .append('<li><a data-id="'+data+'" href="#" class="btnKuitansiPatient">Kuitansi</a></li>')
                            .append('<li><a data-patientnursingid="'+full.PatientNursingId+'" class="ringkasanObat">Ringkasan Obat</a></li>')
                            .append('<li role="separator" class="divider"></li>')
                            .append('<li><a data-id="'+data+'" href="#" class="btnBatal" style="color: red">Refund</a></li>');
                        return tpl[0].outerHTML;
                        return teks;
                    }
                }
            ]
            , "footerCallback": function ( row, data, start, end, display ) {
                // var api = this.api();
                var api = this.api();
                // Remove the formatting to get integer data for summation
                var intVal = function ( i ) {
                    return typeof i === 'string' ?
                    i.replace(/[\$,.]/g, '')*1 :
                        typeof i === 'number' ?
                            i : 0;
                };


                var gTotal = api
                    .column( 6 )
                    .data()
                    .reduce( function (a, b) {
                        return intVal(a) + intVal(b);
                    }, 0 );

                // Total over this page
                /*var pageTotal = api
                    .column( value, { page: 'current'} )
                    .data()
                    .reduce( function (a, b) {
                        return intVal(a) + intVal(b);
                    }, 0 );*/

                // Update footer
                $( api.column( 5 ).footer() ).html(
                    //'Rp.'+pageTotal +' ( Rp.'+ total +' total)'
                    'Rp.' + rupiah(gTotal)
                );
            }
        });

        //$(".dataTables_wrapper .row").hide();

        function openDetailBilling()
        {
            $("#billing_detail").modal({ backdrop: "static", keyboard: false});
        }

        function openSummaryBilling()
        {
            $("#billing_summary").modal({ backdrop: "static", keyboard: false});
        }

        $(document).off('click', '.btnPreview').on('click', '.btnPreview', function () {
            var data = tablePre.row( $(this).parents('tr') ).data();
            console.log('Pilih Data:', data);
            strBillingValidationId = data.Id;
            strTotalTagihan = data.BillingCurrent;
            strTagihanAkhir = data.TagihanAkhir;
            strTagihanSelisihKelas = data.TagihanSelisihKelas;
            strDiscount = data.Discount;
            strRetur = data.Retur;
            strPaymentActivityId = data.PaymentActivityId;

            //openDetailBilling();
            cetakTagihan(strPaymentActivityId);
        });

        $(document).off('click', '.btnPreviewRincianKasir').on('click', '.btnPreviewRincianKasir', function () {
            var data = tablePre.row( $(this).parents('tr') ).data();
            console.log('Pilih Data:', data);
            strBillingValidationId = data.Id;
            strTotalTagihan = data.BillingCurrent;
            strTagihanAkhir = data.TagihanAkhir;
            strTagihanSelisihKelas = data.TagihanSelisihKelas;
            strDiscount = data.Discount;
            strRetur = data.Retur;
            strPaymentActivityId = data.PaymentActivityId;

            //openDetailBilling();
            cetakTagihanRincianKasir(strPaymentActivityId);
        });

        $(document).off('click', '.btnSummary').on('click', '.btnSummary',function(){
            var data = tablePre.row( $(this).parents('tr') ).data();
            strPatientNursingId = data.PatientNursingId;
            strPaymentActivityId = data.PaymentActivityId;
            //openSummaryBilling();
            var strOption = 'page=<?= __PAGE__?>&payment_activity_id=' + strPaymentActivityId + '&patient_nursing_id=' + strPatientNursingId;
            printPreview('rekaptagihan','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/rekap-print/') ?>',strOption);
        });

        $(document).off('click', '.btnPatient').on('click', '.btnPatient',function(){
            var data = tablePre.row( $(this).parents('tr') ).data();
            strPatientNursingId = data.PatientNursingId;
            strPaymentActivityId = data.PaymentActivityId;
            //openSummaryBilling();
            var strOption = 'page=<?= __PAGE__?>&payment_activity_id=' + strPaymentActivityId + '&patient_nursing_id=' + strPatientNursingId;
            if(data.NursingCategory == '1'){
                printPreview('rekappasien','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/pasien-print/') ?>',strOption);
            }else{
                printPreview('rekaptagihanrevisi','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/pasien-print-revisi/') ?>',strOption);
            }

        });

        $(document).off('click', '.btnKuitansiPatient').on('click', '.btnKuitansiPatient',function(){
            var data = tablePre.row( $(this).parents('tr') ).data();
            strPatientNursingId = data.PatientNursingId;
            strPaymentActivityId = data.PaymentActivityId;
            //openSummaryBilling();
            var strOption = 'page=<?= __PAGE__?>&payment_activity_id=' + strPaymentActivityId + '&patient_nursing_id=' + strPatientNursingId;
            printPreview('rekappasien','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/kuitansi-print/') ?>',strOption);
        });

        $(document).off('click', '.btnBatal').on('click', '.btnBatal',function(){
            var data = tablePre.row( $(this).parents('tr') ).data();
            strPatientNursingId = data.PatientNursingId;
            strPaymentActivityId = data.PaymentActivityId;
            jFallr('Batal Perawatan Penderita ' + data.FirstName + ' / ' + data.Mr + ' ?', function(){fnConfirmBatal();}, function(){jQuery.fallr('hide');});
        });

        $(document).off('click', '#info-bayar').on('click', '#info-bayar', function () {
            cetakTagihan(strPaymentActivityId);
        });

        $(document).off('click', '.btnKirim').on('click', '.btnKirim', function () {
            var formTime = '<?= $formTime?>';
            var formId = '<?= $formId ?>';
            var sendId = $(this).attr('id');

            var request = $.post('<?= QApplication::UrlCreator('control/' . base64_encode(QApplication::$ModulName . '/' . QApplication::$ActionName))?>/PatientNursingBilling/BayarKasirKediri', {
                'pageId': sessionStorage.pageId,
                'formId': formId,
                'formTime': formTime,
                'sendId': strBillingValidationId
            });

            request.done(function (response) {
                if (response.status == 'success') {
                    var first = response.status.substr(0, 1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message, first + last);
                    reload();
                }
                else {
                    var first = response.status.substr(0, 1).toUpperCase();
                    var last = response.status.substr(1).toLowerCase();
                    toastr[response.type](response.message, first + last);
                }
            });
            request.fail(function () {
                toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
            });

        });

        $(document).off('click', '#refreshtombol').on('click', '#refreshtombol', function(){
            reload();
        });

        $(document).off('change', '#pilih-department').on('change', '#pilih-department', function(){
            reload();
        });

        $(document).off('change', '#pilih-cara-bayar').on('change', '#pilih-cara-bayar', function(){
            reload();
        });

        $(document).off('click', '#cetakreport').on('click', '#cetakreport', function () {
            var strOption = 'page='+strPageId+'&range=' + $('#rangeWaktu span').html() + '&department=' + $('#pilih-department').val() + '&group=cashier';
            printPreview('invoice','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/report-print/') ?>',strOption);
        });

        $(document).off('click', '#cetakrekap').on('click', '#cetakrekap', function () {
            var strOption = 'page=<?= __PAGE__?>&payment_activity_id=' + strPaymentActivityId + '&patient_nursing_id=' + strPatientNursingId;
            printPreview('rekaptagihan','<?= QApplication::UrlCreator('hmis-patient-payment-cashier/rekap-print/') ?>',strOption);
        });

        function reload()
        {
            tablePre.ajax.reload();
        }

        function fnConfirmBatal(){
            var request = $.post('<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/PatientNursingConsulting/BatalkanKunjungan',{ 'pageId' : sessionStorage.pageId , 'sendId' : strPatientNursingId});

            request.done(function(response){
                jQuery.fallr('hide',function(){});
                if(response.status == 'success') {
                    if(!is_jnoty){
                        $.jnoty(
                            response.message
                            , {
                                theme: 'jnoty-default'
                                , life: 8000 // 8 seconds
                                // , sticky: true
                                , closeTemplate: ''
                                , position: 'bottom-right'
                                , icon: ''
                            }
                        );
                    }

                    reload();
                }else {
                    //var first = response.status.substr(0,1).toUpperCase();
                    // var last = response.status.substr(1).toLowerCase();
                    toastr.error(response.message,'Gagal');
                }
            });

            request.fail(function() {
                toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
            });
        };
    });

    $(document).off('click', '.ringkasanObat').on('click', '.ringkasanObat', function () {
        var patientNursingId =  $(this).data('patientnursingid');
        
            console.log("kirim");
            console.log($(this).data());
            var url = '<?= QApplication::UrlCreator('report-penjualan-depo/ringkasan-perpasien')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&patientNursingId='+patientNursingId;
            openInNewTab(url);
        
    });
    function openInNewTab(url) {
        var win = window.open(url, '_blank');
        win.focus();
    }
</script>
